package com.tofly.flow.dto;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
public class ProcessInstanceDto{

	/**
	 * 流程模板ID
	 */
	@ApiModelProperty(value = "流程模板ID")
	@NotNull(message = "流程模板ID不能为空")
	public Long processTemplateId;
	
	/**
	 * 流程实例名称
	 */
	@ApiModelProperty(value = "流程实例名称")
	public String processInstanceName;
	
}