package com.tofly.flow.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.flow.dto.ProcessTemplateNodeInfoDto;
import com.tofly.flow.entity.ProcessTemplateNode;

import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.Map;

/**
 * ${comments}
 *
 * @author zhoux
 * @date Wed Mar 10 00:00:00 CST 2021
 */
public interface ProcessTemplateNodeService extends IService<ProcessTemplateNode> {


	/**
	 * 配置流程实例节点信息
	 * @param processInstanceVo
	 * @return
	 */
    Map<String,String> configTemplateNode(ProcessTemplateNodeInfoDto processTemplateNodeInfoDto) throws Exception;

}
