/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.flow.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.IdWorker;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.common.oauth.util.SecurityUtils;
import com.tofly.flow.entity.FormInstance;
import com.tofly.flow.entity.ProcessApprovalHistory;
import com.tofly.flow.entity.ProcessInstance;
import com.tofly.flow.entity.ProcessTemplateNode;
import com.tofly.flow.mapper.FormInstanceMapper;
import com.tofly.flow.mapper.ProcessApprovalHistoryMapper;
import com.tofly.flow.mapper.ProcessInstanceMapper;
import com.tofly.flow.mapper.ProcessTemplateNodeMapper;
import com.tofly.flow.service.FormInstanceService;
import com.tofly.flow.service.ProcessApprovalHistoryService;
import com.tofly.flow.service.ProcessInstanceService;
import com.tofly.flow.service.ProcessTemplateNodeService;

import org.apache.commons.io.FileUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.util.MultiValueMap;
import org.springframework.web.multipart.MultipartFile;

import java.io.*;
import java.util.*;
import java.util.stream.Collectors;
import java.util.Map;

/**
 * ${comments}
 *
 * @author zhoux
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Service("formInstanceService")
public class FormInstanceServiceImpl extends ServiceImpl<FormInstanceMapper, FormInstance> implements FormInstanceService {

	@Override
	public List<Map<String, Object>> getFormData(Long formId) {
		return baseMapper.getFormData(formId);
	}
	
}