package com.tofly.dispatch.dto;

import com.tofly.common.core.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@Data
@EqualsAndHashCode
@ToString
public class DispatchInfoDto {
    /**
     * 站点名称
     */
    @Excel(name = "指标")
    @ApiModelProperty(value = "指标")
    private String siteName;
    /**
     * 单位
     */
    @Excel(name = "单位")
    @ApiModelProperty(value = "单位")
    private String unit;
    /**
     * 0点出口
     */
    @Excel(name = "0点下限")
    @ApiModelProperty(value = "00点下限")
    private Double oZero;
    /**
     * 0点入口
     */
    @Excel(name = "0点上限")
    @ApiModelProperty(value = "00点上限")
    private Double iZero;
    /**
     * 1点出口
     */
    @Excel(name = "1点下限")
    @ApiModelProperty(value = "01点下限")
    private Double oOne;
    /**
     * 1点入口
     */
    @Excel(name = "1点上限")
    @ApiModelProperty(value = "01点上限")
    private Double iOne;
    /**
     * 2点出口
     */
    @Excel(name = "2点下限")
    @ApiModelProperty(value = "02点下限")
    private Double oTwo;
    /**
     * 2点入口
     */
    @Excel(name = "2点上限")
    @ApiModelProperty(value = "02点上限")
    private Double iTwo;
    /**
     * 3点出口
     */
    @Excel(name = "3点下限")
    @ApiModelProperty(value = "03点下限")
    private Double oThree;
    /**
     * 3点入口
     */
    @Excel(name = "3点上限")
    @ApiModelProperty(value = "03点上限")
    private Double iThree;
    /**
     * 4点出口
     */
    @Excel(name = "4点下限")
    @ApiModelProperty(value = "04点下限")
    private Double oFour;
    /**
     * 4点入口
     */
    @Excel(name = "4点上限")
    @ApiModelProperty(value = "04点上限")
    private Double iFour;
    /**
     * 5点出口
     */
    @Excel(name = "5点下限")
    @ApiModelProperty(value = "05点下限")
    private Double oFive;
    /**
     * 5点入口
     */
    @Excel(name = "5点上限")
    @ApiModelProperty(value = "05点上限")
    private Double iFive;
    /**
     * 6点出口
     */
    @Excel(name = "6点下限")
    @ApiModelProperty(value = "06点下限")
    private Double oSix;
    /**
     * 6点入口
     */
    @Excel(name = "6点上限")
    @ApiModelProperty(value = "06点上限")
    private Double iSix;
    /**
     * 7点出口
     */
    @Excel(name = "7点下限")
    @ApiModelProperty(value = "07点下限")
    private Double oSeven;
    /**
     * 7点入口
     */
    @Excel(name = "7点上限")
    @ApiModelProperty(value = "7点入口")
    private Double iSeven;
    /**
     * 8点出口
     */
    @Excel(name = "8点下限")
    @ApiModelProperty(value = "08点下限")
    private Double oEight;
    /**
     * 8点入口
     */
    @Excel(name = "8点上限")
    @ApiModelProperty(value = "08点上限")
    private Double iEight;
    /**
     * 9点出口
     */
    @Excel(name = "9点下限")
    @ApiModelProperty(value = "09点下限")
    private Double oNine;
    /**
     * 9点入口
     */
    @Excel(name = "9点上限")
    @ApiModelProperty(value = "09点上限")
    private Double iNine;
    /**
     * 10点出口
     */
    @Excel(name = "10点下限")
    @ApiModelProperty(value = "10点下限")
    private Double oTen;
    /**
     * 10点入口
     */
    @Excel(name = "10点上限")
    @ApiModelProperty(value = "10点上限")
    private Double iTen;
    /**
     * 11点出口
     */
    @Excel(name = "11点下限")
    @ApiModelProperty(value = "11点下限")
    private Double oEleven;
    /**
     * 11点入口
     */
    @Excel(name = "11点上限")
    @ApiModelProperty(value = "11点上限")
    private Double iEleven;
    /**
     * 12点出口
     */
    @Excel(name = "12点下限")
    @ApiModelProperty(value = "12点下限")
    private Double oTwelve;
    /**
     * 12点入口
     */
    @Excel(name = "12点上限")
    @ApiModelProperty(value = "12点上限")
    private Double iTwelve;
    /**
     * 13点出口
     */
    @Excel(name = "13点下限")
    @ApiModelProperty(value = "13点下限")
    private Double oThirteen;
    /**
     * 13点入口
     */
    @Excel(name = "13点上限")
    @ApiModelProperty(value = "13点上限")
    private Double iThirteen;
    /**
     * 14点出口
     */
    @Excel(name = "14点下限")
    @ApiModelProperty(value = "14点下限")
    private Double oFourteen;
    /**
     * 14点入口
     */
    @Excel(name = "14点上限")
    @ApiModelProperty(value = "14点上限")
    private Double iFourteen;
    /**
     * 15点出口
     */
    @Excel(name = "15点下限")
    @ApiModelProperty(value = "15点下限")
    private Double oFifteen;
    /**
     * 15点入口
     */
    @Excel(name = "15点上限")
    @ApiModelProperty(value = "15点上限")
    private Double iFifteen;
    /**
     * 16点出口
     */
    @Excel(name = "16点下限")
    @ApiModelProperty(value = "16点下限")
    private Double oSixteen;
    /**
     * 16点入口
     */
    @Excel(name = "16点上限")
    @ApiModelProperty(value = "16点上限")
    private Double iSixteen;
    /**
     * 17点出口
     */
    @Excel(name = "17点下限")
    @ApiModelProperty(value = "17点下限")
    private Double oSeventeen;
    /**
     * 17点入口
     */
    @Excel(name = "17点上限")
    @ApiModelProperty(value = "17点上限")
    private Double iSeventeen;
    /**
     * 18点出口
     */
    @Excel(name = "18点下限")
    @ApiModelProperty(value = "18点下限")
    private Double oEighteen;
    /**
     * 18点入口
     */
    @Excel(name = "18点上限")
    @ApiModelProperty(value = "18点上限")
    private Double iEighteen;
    /**
     * 19点出口
     */
    @Excel(name = "19点下限")
    @ApiModelProperty(value = "19点下限")
    private Double oNineteen;
    /**
     * 19点入口
     */
    @Excel(name = "19点上限")
    @ApiModelProperty(value = "19点上限")
    private Double iNineteen;
    /**
     * 20点出口
     */
    @Excel(name = "20点下限")
    @ApiModelProperty(value = "20点下限")
    private Double oTwenty;
    /**
     * 20点入口
     */
    @Excel(name = "20点上限")
    @ApiModelProperty(value = "20点上限")
    private Double iTwenty;
    /**
     * 21点出口
     */
    @Excel(name = "21点下限")
    @ApiModelProperty(value = "21点下限")
    private Double oTwentyOne;
    /**
     * 21点入口
     */
    @Excel(name = "21点上限")
    @ApiModelProperty(value = "21点入口")
    private Double iTwentyOne;
    /**
     * 22点出口
     */
    @Excel(name = "22点下限")
    @ApiModelProperty(value = "22点下限")
    private Double oTwentyTwo;
    /**
     * 22点入口
     */
    @Excel(name = "22点上限")
    @ApiModelProperty(value = "22点上限")
    private Double iTwentyTwo;
    /**
     * 23点出口
     */
    @Excel(name = "23点下限")
    @ApiModelProperty(value = "23点下限")
    private Double oTwentyThree;
    /**
     * 23点入口
     */
    @Excel(name = "23点上限")
    @ApiModelProperty(value = "23点上限")
    private Double iTwentyThree;

}
