/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dispatch.dto;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;


/**
 * 指令回复
 *
 * @author admin
 * @date Fri Nov 11 00:00:00 CST 2022
 */
@Data
@ApiModel
public class DispatchOrderReplyDto {

    /**
     * 主键
     */

    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 指令ID
     */
    @NotNull(message = "指令ID不能为空")
    @ApiModelProperty(value = "指令ID")
    private Long orderId;
    /**
     * 回复内容
     */
    @NotNull(message = "回复内容为空")
    @ApiModelProperty(value = "回复内容")
    private String replyContent;
    /**
     * 附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键
     */
    @ApiModelProperty(value = "附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键")
    private String uploadFileids;


}
