package com.tofly.dispatch.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.dispatch.entity.DispatchOrder;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
public class DispatchOrderSendDto {
    /**
     * 指令接受部门
     */
    @ApiModelProperty(value = "指令接受部门")
    @NotNull(message = "指令接受部门不能为空")
    private Long departmentId;

    /**
     * 指令id
     */
    @ApiModelProperty(value = "主指令id")
    private Long id;

}
