package com.tofly.dispatch.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class FacilitiesQuery extends CommQuery{

    /**
     * 设备类型1车辆，2应急工具
     */
    @ApiModelProperty(value = "设备类型1车辆，2应急工具")
    private String facilitiesType;
    /**
     * 设备名称
     */
    @ApiModelProperty(value = "设备名称")
    private String facilitiesName;
    /**
     * 设备型号
     */
    @ApiModelProperty(value = "设备型号")
    private String facilitiesMode;
    /**
     * 负责人
     */
    @ApiModelProperty(value = "负责人")
    private String facilitiesPerson;
    /**
     * SIM卡号
     */
    @ApiModelProperty(value = "SIM卡号")
    private String simNumber;
    /**
     * 车牌号
     */
    @ApiModelProperty(value = "车牌号")
    private String carNumber;

}
