package com.tofly.dispatch.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;

@Data
@EqualsAndHashCode
@ToString
public class LoadDispatchInfoDto implements Serializable {

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 调度名称ID
     */
    @ApiModelProperty(value = "调度名称ID")
    private Long dispatchId;
    /**
     * 站点名称
     */
    @ApiModelProperty(value = "站点名称")
    private String siteName;

    /**
     * 是否导出 true 是 false 否
     */
    @ApiModelProperty(value = "是否导出 true 是 false 否")
    private Boolean isExport;
}
