package com.tofly.dispatch.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class StaffQuery extends CommQuery{
    /**
     * 人员编号
     */
    @ApiModelProperty(value = "人员编号")
    private String staffNo;
    /**
     * 人员姓名
     */
    @ApiModelProperty(value = "人员姓名")
    private String staffName;
    /**
     * 人员性别
     */
    @ApiModelProperty(value = "人员性别")
    private String staffSex;
    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String staffTel;
}
