package com.tofly.dispatch.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.dispatch.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

@Data
@EqualsAndHashCode
@ToString
public class UpdateDispatchDto extends DispatchDto implements Serializable {

    @NotNull(message = FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "ID")
    private Long id;
}
