package com.tofly.dispatch.entity;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_DIS_DISPATCH_EXPERT_R", resultMap = "dispatchExpertRMap")
@KeySequence("TF_DIS_DISPATCH_EXPERT_R")
@ApiModel
public class DispatchExpertR extends Model<DispatchExpertR> {
    /**
     * 主键,编号
     */

    @ApiModelProperty(value = "调度方案id")
    private Long dispatchId;

    @ApiModelProperty(value = "调度专家id")
    private Long dispatchExpertId;
}
