/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dispatch.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.data.annotation.Transient;


/**
 * 事故人员
 *
 * @author xqf
 * @date Mon Apr 25 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_DIS_EMERGENCY_STAFF_W", resultMap = "emergencyStaffMap")

@ApiModel
public class EmergencyStaff extends Model<EmergencyStaff> {

    /**
     * 事故ID
     */
    @ApiModelProperty(value = "事故ID")
    private Long emergencyId;
    /**
     * 通讯录ID
     */
    @ApiModelProperty(value = "人员ID")
    private Long staffId;

}
