/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.dispatch.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.dispatch.dto.DispatchExpertQuery;
import com.tofly.dispatch.entity.DispatchExpert;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 专家库管理
 *
 * @author admin
 * @date Thu Nov 10 00:00:00 CST 2022
 */
public interface DispatchExpertMapper extends BaseMapper<DispatchExpert> {

    List<DispatchExpert> getListByIds(@Param("dispatchExpertIds") String dispatchExpertIds);

    Page<DispatchExpert> getPageData(Page page, @Param("qry") DispatchExpertQuery query);
}
