/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.dispatch.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.dispatch.dto.FacilitiesQuery;
import com.tofly.dispatch.entity.Facilities;
import com.tofly.dispatch.entity.Staff;
import org.apache.ibatis.annotations.Param;


import java.util.List;
/**
 * 应急设施
 *
 * @author admin
 * @date Wed Nov 09 00:00:00 CST 2022
 */
public interface FacilitiesMapper extends BaseMapper<Facilities> {
    Page<Facilities> getPageData(Page page,@Param("qry") FacilitiesQuery query);

    List<Facilities> getListByEmergencyId(@Param("emergencyId") Long emergencyId);
}
