/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.dispatch.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.dispatch.entity.Hazard;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 危险源
 *
 * @author qf
 * @date Thu Apr 21 00:00:00 CST 2022
 */
public interface HazardMapper extends BaseMapper<Hazard> {


    /**
     * 根据EmergencyId查询危险源
     * @param emergencyId 事件事故ID
     * @return 危险源列表
     */

    List<Hazard> getListByEmergencyId(@Param("emergencyId") Long emergencyId);

}
