/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.dispatch.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.dispatch.dto.BatchDispatchInfoDto;
import com.tofly.dispatch.dto.LoadDispatchInfoDto;
import com.tofly.dispatch.dto.UpdateDispatchInfoDto;
import com.tofly.dispatch.entity.DispatchInfo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
 * 供水调度详情（水压）
 *
 * @author xqf
 * @date Mon Mar 14 00:00:00 CST 2022
 */
public interface DispatchInfoService extends IService<DispatchInfo> {

    Object saveDispatchInfo(BatchDispatchInfoDto dto);

    Object saveDispatchInfo(Long id, MultipartFile fileList);

    Object updateDispatchInfoDto(UpdateDispatchInfoDto dto);

    Object exportOrPageDispatchInfo(HttpServletResponse response, Page page, LoadDispatchInfoDto vo);
}
