/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.dispatch.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.dispatch.entity.EmergencyStaff;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * 事故人员
 *
 * @author xqf
 * @date Mon Apr 25 00:00:00 CST 2022
 */
public interface EmergencyStaffService extends IService<EmergencyStaff> {

    /**
     * 批量删除-事故人员
     * @param emergencyId 事故ID
     */
    void deleteEmergencyId(Set<Long> emergencyId);


}
