package com.tofly.filling.entity.duty;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author HaiQiu
 * @since 2023/1/10
 */
@Data
@ApiModel(value = "交接班时设备情况")
public class DutyDeviceDto {
    @ApiModelProperty(value = "厂区总电源")
    private String mainPowerSupplyInThePlant;

    @ApiModelProperty(value = "中控制设备")
    private String mediumControlEquipment;

    @ApiModelProperty(value = "二氧化氯机")
    private String chlorineDioxideMachine;

    @ApiModelProperty(value = "净水器加药间")
    private String waterPurifierDosingRoom;

    @ApiModelProperty(value = "网格反应池")
    private String gridReactionTank;

    @ApiModelProperty(value = "斜管沉淀池")
    private String inclinedTubeSedimentationTank;

    @ApiModelProperty(value = "消毒剂加药间")
    private String disinfectantDosingRoom;

    @ApiModelProperty(value = "备用电源")
    private String mergePowerSupply;
}
