package com.tofly.install.mapper;


import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.install.dto.ApplyInstallQuery;
import com.tofly.install.entity.ApplyInstall;
import com.tofly.install.vo.ApplyInstallVo;
import com.tofly.stocks.dto.DeviceHandleInfoQuery;
import com.tofly.stocks.vo.DeviceHandleInfoVo;

/**
 * 报装业务
 *
 * @author zhoux
 * @since 2022-11-14 11:56:43
 */
public interface ApplyInstallMapper extends BaseMapper<ApplyInstall> {
	
	
	 public List<ApplyInstallVo> getDataPage(Page page,@Param("applyInstallQuery")ApplyInstallQuery applyInstallQuery);
	 
	 
	 
	 public List<ApplyInstallVo> getDataOtherPage(Page page,@Param("applyInstallQuery")ApplyInstallQuery applyInstallQuery);
	 
	 
	 
	 
	 

    
}

