/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.stocks.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.stocks.dto.DeviceDepreciateQuery;
import com.tofly.stocks.entity.DeviceDepreciate;
import com.tofly.stocks.vo.DeviceDepreciateJobVo;
import com.tofly.stocks.vo.DeviceDepreciateSelectVo;
import com.tofly.stocks.vo.DeviceDepreciateVo;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;

import java.util.List;

/**
 * 设备折旧表
 *
 * @author admin
 * @date Mon Dec 12 00:00:00 CST 2022
 */
public interface DeviceDepreciateMapper extends BaseMapper<DeviceDepreciate> {
    Page<DeviceDepreciateSelectVo> getDepreciateSelectDataPage(Page page, @Param("qry") DeviceDepreciateQuery deviceDepreciateQuery);

    Page<DeviceDepreciateVo> getDataPage(Page page,@Param("qry")  DeviceDepreciateQuery deviceDepreciateQuery);

   List<DeviceDepreciateJobVo>xxlJobCurrentPrice();
}
