/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.stocks.mapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.stocks.entity.InstockInfo;
import org.apache.ibatis.annotations.Param;
import java.util.List;
/**
 * 库存入库信息表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
public interface InstockInfoMapper extends BaseMapper<InstockInfo> {

    /**
     * 获取最大的入库单号
     * @param instockNo
     * @return
     */
    String getInstockMaxNo(@Param("instockNo") String instockNo);

}
