/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.stocks.service;

import java.util.List;
import org.springframework.web.multipart.MultipartFile;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.stocks.dto.DeviceHandleInfoDto;
import com.tofly.stocks.dto.DeviceHandleInfoQuery;
import com.tofly.stocks.entity.DeviceHandleDetail;
import com.tofly.stocks.entity.DeviceHandleInfo;
import com.tofly.stocks.vo.DeviceHandleInfoVo;


/**
 * 设备处置信息表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
public interface DeviceHandleInfoService extends IService<DeviceHandleInfo> {
			
	boolean saveDeviceHandleInfo(DeviceHandleInfoDto deviceHandleInfoDto, List<MultipartFile> files);

    boolean editDeviceHandleInfo(DeviceHandleInfoDto deviceHandleInfoDto, List<MultipartFile> files);

    boolean deleteByIds(String ids);

    Page<DeviceHandleInfoVo> getDataPage(Page page, DeviceHandleInfoQuery deviceHandleInfoQuery);
        
    List<DeviceHandleDetail> getDeviceHandleDetailByInfoId(Long deviceHandleInfoId);
     
}