/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.stocks.service;

import java.util.List;
import java.util.Map;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.stocks.entity.Shelves;
import com.tofly.stocks.vo.ShelvesVo;

/**
 * 库存货架表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
public interface ShelvesService extends IService<Shelves> {
	
	
	public Page<ShelvesVo> getShelvesPage(Page page, Map<String,Object> queryMap);
	
	public List<ShelvesVo> getShelves(Map<String,Object> queryMap);

	boolean isExist(Shelves shelves);

}
