/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.stocks.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.stocks.entity.MaterialType;
import com.tofly.stocks.service.MaterialTypeService;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;
import com.tofly.stocks.mapper.MaterialTypeMapper;

/**
 * 库存物资类型表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
@Service("materialTypeService")
public class MaterialTypeServiceImpl extends ServiceImpl<MaterialTypeMapper, MaterialType> implements MaterialTypeService {

	@Override
	public List<Map<String,String>> getMaterialTypeList() {
		return baseMapper.getMaterialTypeList();
	}

	

}
