package com.tofly.stocks.vo;
import com.tofly.stocks.entity.DeviceHandleInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.List;

@Data
@ApiModel
public class DeviceHandleInfoVo extends DeviceHandleInfo {

    /**
     * 处置明细数据
     */
    @ApiModelProperty(value = "处置明细数据")
    public List<DeviceHandleDetailVo> deviceHandleDetails;


    /**
     * 仓库名称
     */
    @ApiModelProperty(value = "仓库名称")
    private String storeName;


    /**
     * 水厂名称
     */
    @ApiModelProperty(value = "水厂名称")
    private String waterworksName;

    /**
     * 处置人
     */
    @ApiModelProperty(value = "处置人")
    private String handleUserName;


    /**
     * 处置部门
     */
    @ApiModelProperty(value = "处置部门")
    private String handleDptName;

}
