package com.tofly.stocks.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class DeviceMaintainVo {

    /**
     * 保养类型
     */
    @ApiModelProperty(value = "保养类型")
    private String maintainTypeName;

    /**
     * 保养开始时间
     */
    @ApiModelProperty(value = "保养开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date maintainStartTime;

    /**
     * 保养结束时间
     */
    @ApiModelProperty(value = "保养结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date maintainEndTime;


    /**
     * 派单人
     */
    @ApiModelProperty(value = "派单人")
    private String userName;

    /**
     * 派单人
     */
    @ApiModelProperty(value = "派单人")
    private String dispatchUser;

    /**
     * 派单时间
     */
    @ApiModelProperty(value = "派单时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dispatchTime;

    /**
     * 派单状态
     */
    @ApiModelProperty(value = "派单状态")
    private String dispatchState;
}
