package com.tofly.stocks.vo;
import com.tofly.stocks.entity.DeviceTransInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.List;

@Data
@ApiModel
public class DeviceTransInfoVo extends DeviceTransInfo  {

    /**
     * 设备转移明细数据
     */
    @ApiModelProperty(value = "设备转移明细数据")
    public List<DeviceTransDetailVo> deviceTransDetail;
	
	@ApiModelProperty(value = "转移前水厂名称")
    private String waterworksName;;

    @ApiModelProperty(value = "转移记录人")
    private String recordUserName;;




}
