package com.tofly.stocks.vo;
import com.tofly.stocks.entity.DrugUseInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.List;
@Data
public class DrugUseInfoVo extends DrugUseInfo {
    /**
     * 使用明细数据
     */
    @ApiModelProperty(value = "使用明细数据")
    public List<DrugUseDetailVo> drugUseDetailVos;

    /**
     * 仓库名称
     */
    @ApiModelProperty(value = "仓库名称")
    private String storeName;


    /**
     * 水厂Id
     */
    @ApiModelProperty(value = "水厂名称")
    private String waterworksName;

    /**
     * 使用人
     */
    @ApiModelProperty(value = "使用人")
    private String recordUserName;

    /**
     * 使用数
     */
    @ApiModelProperty(value = "使用数")
    private Integer drugUseCount;


    /**
     * 使用总量
     */
    @ApiModelProperty(value = "使用总量")
    private Double drugUseTotalNum;

}
