package com.tofly.stocks.vo;
import com.tofly.stocks.entity.OutstockInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.List;
@Data
public class OutstockInfoVo extends OutstockInfo {

    /**
     * 出库明细数据
     */
    @ApiModelProperty(value = "出库明细数据")
    public List<OutstockDetailVo> outstockDetailVos;


    /**
     * 仓库名称
     */
    @ApiModelProperty(value = "仓库名称")
    private String storeName;


    /**
     * 水厂名称
     */
    @ApiModelProperty(value = "水厂名称")
    private String waterworksName;

    /**
     * 出库人
     */
    @ApiModelProperty(value = "出库人")
    private String outstockUserName;

}
