package com.tofly.stocks.vo;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import java.util.Date;

@Data
public class StockHandleVo {

    /**
     * 仓库id
     */
    @ApiModelProperty(value = "仓库id")
    private Long storeId;

    /**
     * 仓库名称
     */
    @ApiModelProperty(value = "仓库名称")
    private String storeName;


    /**
     * 货架ID
     */
    @ApiModelProperty(value = "货架ID")
    private Long shelvesId;



    /**
     * 货架编号
     */
    @ApiModelProperty(value = "货架编号")
    private String shelvesNo;

    /**
     * 水厂Id
     */
    @ApiModelProperty(value = "水厂Id")
    private Long waterworksId;

    /**
     * 水厂名称
     */
    @ApiModelProperty(value = "水厂名称")
    private String waterworksName;




    /**
     * 处置单号
     */
    @ApiModelProperty(value = "处置单号")
    private String handleNo;
    /**
     * 处置时间
     */
    @ApiModelProperty(value = "处置时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date handleTime;

    /**
     * 处置人ID
     */
    @ApiModelProperty(value = "处置人ID")
    private Long handleUserId;


    /**
     * 处置人
     */
    @ApiModelProperty(value = "处置人")
    private String handleUserName;


    /**
     * 处置数量
     */
    @ApiModelProperty(value = "处置数量")
    private Double handleNum;

    
}
