package com.tofly.stocks.vo;
import com.tofly.stocks.entity.DeviceInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class StockInfoVo extends DeviceInfo {

    /**
     * 库存id
     */
    @ApiModelProperty(value = "库存id")
    private Long stockInfoId;


    /**
     * 仓库id
     */
    @ApiModelProperty(value = "仓库id")
    private Long storeId;

    /**
     * 仓库名称
     */
    @ApiModelProperty(value = "仓库名称")
    private String storeName;


    /**
     * 货架ID
     */
    @ApiModelProperty(value = "货架ID")
    private Long shelvesId;



    /**
     * 货架编号
     */
    @ApiModelProperty(value = "货架编号")
    private String shelvesNo;

    /**
     * 水厂Id
     */
    @ApiModelProperty(value = "水厂Id")
    private Long waterworksId;

    /**
     * 水厂名称
     */
    @ApiModelProperty(value = "水厂名称")
    private String waterworksName;

    /**
     * 设备Id
     */
    @ApiModelProperty(value = "设备Id")
    private Long deviceId;

    /**
     * 当前库存
     */
    @ApiModelProperty(value = "当前库存")
    private Double stockNum;


    /**
     * 入库总数量
     */
    @ApiModelProperty(value = "入库总数量")
    private Double instockTotalNum;

    /**
     * 出库总数量
     */
    @ApiModelProperty(value = "出库总数量")
    private Double outstockTotalNum;
    /**
     * 使用总数量
     */
    @ApiModelProperty(value = "使用总数量")
    private Double usestockTotalNum;

    /**
     * 转移总数量
     */
    @ApiModelProperty(value = "转移总数量")
    private Double transTotalNum;

    /**
     * 处置总数量
     */
    @ApiModelProperty(value = "处置总数量")
    private Double handleTotalNum;


    /**
     * 采购总价值
     */
    @ApiModelProperty(value = "采购总价值")
    private Double sumTotalPrice;

    /**
     * 当前总价值
     */
    @ApiModelProperty(value = "当前总价值")
    private Double sumCurrentPrice;


}
