package com.tofly.base.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "back-data")
@Data
public class BackDataProperty {
	
	
	private String dbIp;	
	
	private String dbPort;
	
	private String dbUserName;
	
	private String dbPassWord;
	
	private String dbName;
	
	private String osType;
	
	private String backPath;
	
		
}