package com.tofly.base.dto;

import com.tofly.base.entity.Company;
import com.tofly.base.entity.Department;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class CompanyDeptDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "新增类型,1 为单位,2为部门",required = true)
    private String type;

    @ApiModelProperty(value = "单位对象")
    private Company company;

    @ApiModelProperty(value = "部门对象")
    private Department department;
}
