package com.tofly.base.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author fcl
 * @date 2021/4/1 16:17
 */
@Data
@ApiModel
public class ExcleSourceDTO {

    /**
     * 上级单位/部门全称
     */
    @ApiModelProperty(value = "上级单位/部门全称")
    private String parentName;

    /**
     * 单位/部门简称
     */
    @ApiModelProperty(value = "单位/部门简称")
    private String shortName;

    /**
     * 单位/部门全称
     */
    @ApiModelProperty(value = "单位/部门全称")
    private String name;

    /**
     * 单位/部门编码
     */
    @ApiModelProperty(value = "单位/部门编码")
    private String code;
}
