/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.base.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 角色部门关系表
 *
 * @author wangjian
 * @date Mon Oct 21 00:00:00 CST 2019
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("TF_SMPN_ROLEDEPT_X")
@KeySequence("TF_SMPN_ROLEDEPT_X")
@ApiModel
public class RoleDept extends Model<RoleDept> {
    private static final long serialVersionUID = 1L;

        /**
     * ID，主键
     */
        @TableId(value = "ID",type= IdType.INPUT)
        @ApiModelProperty(value = "ID，主键")
            private Long id;
        /**
     * 角色ID
     */
        @ApiModelProperty(value = "角色ID")
            private Long roleId;
        /**
     * 部门ID
     */
        @ApiModelProperty(value = "部门ID")
            private Long departmentId;
    
}
