/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.base.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 用户角色表
 *
 * @author wangjian
 * @date Mon Oct 21 00:00:00 CST 2019
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("TF_SMPN_USERROLE_X")
@KeySequence("TF_SMPN_USERROLE_X")
@ApiModel
public class UserRole extends Model<UserRole> {
    private static final long serialVersionUID = 1L;

        /**
     * 用户ID
     */
        @ApiModelProperty(value = "用户ID")
            private Long userId;
        /**
     * 角色ID
     */
        @ApiModelProperty(value = "角色ID")
            private Long roleId;
        /**
     * $column.comments
     */
        @TableId(value = "ID",type= IdType.INPUT)
        @ApiModelProperty(value = "$column.comments")
            private Long id;
    
}
