package com.tofly.base.entity;

import com.tofly.base.entity.User;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @Author: 翘屁老猫
 * @Date: 2020/9/9 10:23
 * 用户基本及其权限实体(用于/user/saveNew接口)
 */
@Data
@ApiModel
@EqualsAndHashCode(callSuper = true)
public class UserRoles extends User {
    private static final long serialVersionUID = 1L;
    /**
     * 用户权限ids(用逗号隔开)
     */
    @ApiModelProperty(value = "用户权限ids(用逗号隔开)")
    private String roles;
}
