package com.tofly.base.entity.dto;

import com.baomidou.mybatisplus.annotation.*;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


import java.io.Serializable;
import java.util.Set;

/**
 * @Author: 翘屁老猫
 * @Date: 2020/11/4 10:00
 */

@Data
@ApiModel
public class UserDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户ID，主键")
    private Long id;
    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
    private String username;

    /**
     * 电话
     */
    @ApiModelProperty(value = "电话")
    private String phone;

    @ApiModelProperty(value = "部门名称")
    private String departmentName;

    private String job;

    private String node;

    /**
     * 用户email
     */
    @ApiModelProperty(value = "用户email")
    private String email;
    /**
     * 用户姓名
     */
    @ApiModelProperty(value = "用户姓名")
    private String realName;

    @ApiModelProperty(value = "角色列表字符串,以,分割")
    private String roleList;

    @ApiModelProperty(value = "部门字符串,以,分割")
    private String departmentId;
}
