/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.base.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.base.entity.Menu;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 菜单表
 *
 * @author admin
 * @date Thu Oct 10 00:00:00 CST 2019
 */
public interface MenuMapper extends BaseMapper<Menu> {

    public List<Menu> getMenuListByRole(Long roleId);

    public List<Menu> getMenuListByUser(@Param("id") Long id, @Param("platform") String platform);

    List<Menu> listMenusByRoleId(Long roleId);

    List<Menu> getMenuListByUserId(@Param("id") Long id);
}
