/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.base.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.base.entity.Sdeversion;
import com.tofly.base.entity.UserSdeversion;
import com.tofly.base.mapper.SdeversionMapper;
import com.tofly.base.service.SdeversionService;
import org.springframework.stereotype.Service;

/**
 * 上图员数据版本记录表
 *
 * @author wangjian
 * @date Thu Apr 09 00:00:00 CST 2020
 */
@Service("sdeversionService")
public class SdeversionServiceImpl extends ServiceImpl<SdeversionMapper, Sdeversion> implements SdeversionService {

    @Override
    public Page<UserSdeversion> getUserSdeversionMap(Page page, UserSdeversion user) {
        return page.setRecords(baseMapper.getUserSdeversionMap(page,user));
    }
}
