package com.tofly.dc.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
@Data
public class ModuleStatisticsBusinessVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "归属系统(0GIS,1MIS)")
    private String ownershipSystem;
    @ApiModelProperty(value = "归属系统转义(0GIS,1MIS)")
    private String ownershipSystemName;
    @ApiModelProperty(value = "归属业务模块(0用户1综合展示2营销3DMA分区)")
    private String ownershipBusiness;
    @ApiModelProperty(value = "归属业务模块转义(0用户1综合展示2营销3DMA分区)")
    private String ownershipBusinessName;
    @ApiModelProperty(value = "接口数量")
    private Integer interfaceNum;
    @ApiModelProperty(value = "草稿数量")
    private Long draftNum;
    @ApiModelProperty(value = "已发布数量")
    private Long publishedNum;
    @ApiModelProperty(value = "已停用数量")
    private Long stopNum;

}
