package com.tofly.dc.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class ModuleStatisticsSysVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "归属系统(0GIS,1MIS)")
    private String ownershipSystem;
    @ApiModelProperty(value = "归属系统转义(0GIS,1MIS)")
    private String ownershipSystemName;
    @ApiModelProperty(value = "子模块数量")
    private Integer childNum;
    @ApiModelProperty(value = "模块子集")
    private List<ModuleStatisticsBusinessVo> businessVos;
}
