/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.dc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.dc.entity.InterfaceLog;
import com.tofly.dc.entity.dto.PerformanceMonitoringDto;
import com.tofly.dc.entity.vo.BusinessMonitoringVo;
import com.tofly.dc.entity.vo.InterfaceLogVo;
import com.tofly.dc.entity.vo.InterfaceMonitoringVo;
import com.tofly.dc.entity.vo.SysMonitoringVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 接口访问日志表
 *
 * @author zev
 * @date Wed Jan 05 00:00:00 CST 2022
 */
public interface InterfaceLogMapper extends BaseMapper<InterfaceLog> {

  Page<InterfaceLogVo>  getInterfaceLogVoList(Page page, @Param("log") InterfaceLogVo log);

  List<SysMonitoringVo> getSysMonitoringVoList(@Param("dto")PerformanceMonitoringDto dto);
  List<BusinessMonitoringVo> getBusinessMonitoringVoList(@Param("dto")PerformanceMonitoringDto dto);
  List<InterfaceMonitoringVo> getInterfaceMonitoringVoList(@Param("dto")PerformanceMonitoringDto dto);
}
