/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.dc.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.dc.entity.InterfaceLog;
import com.tofly.dc.entity.dto.PerformanceMonitoringDto;
import com.tofly.dc.entity.vo.BusinessMonitoringVo;
import com.tofly.dc.entity.vo.InterfaceMonitoringVo;
import com.tofly.dc.entity.vo.SysMonitoringVo;

import java.util.List;

/**
 * 接口访问日志表
 *
 * @author zev
 * @date Wed Jan 05 00:00:00 CST 2022
 */
public interface InterfaceLogService extends IService<InterfaceLog> {

    List<SysMonitoringVo> getSysMonitoringVo(PerformanceMonitoringDto dto);

    List<BusinessMonitoringVo> getBusinessMonitoringVo(PerformanceMonitoringDto dto);

    List<InterfaceMonitoringVo> getInterfaceMonitoringVo(PerformanceMonitoringDto dto);
}
