/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.dc.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.dc.entity.InterfaceLog;
import com.tofly.dc.entity.InterfaceManage;
import org.springframework.http.HttpRequest;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * 接口管理表
 *
 * @author zev
 * @date Wed Jan 05 00:00:00 CST 2022
 */
public interface InterfaceManageService extends IService<InterfaceManage> {

    /**
     * 新增接口数据
     * @param manage
     * @return
     */
    boolean saveInfo(InterfaceManage manage);

    /**
     * 接口处理
     * @param httpRequest
     * @param parameter
     * @param code
     * @param token
     * @param log
     * @param response
     * @return
     */
    ResultRespone<Object> dispose(HttpServletRequest httpRequest, String parameter, String code, String token, InterfaceLog log,HttpServletResponse response) throws Exception;
}
