package com.tofly.xrtygis.custom.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author 20126
 */
@Data
public class FixedDto {

    private Long id;
    @ApiModelProperty(value = "填报日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date upDate;
    @ApiModelProperty("填报标识")
    private String mark;
    @ApiModelProperty("一厂总电量")
    private Double dlOneTotal;
    @ApiModelProperty("二厂总电量")
    private Double dlTwoTotal;
    @ApiModelProperty("一厂总电费")
    private Double dfOneTotal;
    @ApiModelProperty("二厂总电费")
    private Double dfTwoTotal;
    @ApiModelProperty("一厂pac")
    private Double paczfyOne;
    @ApiModelProperty("一厂食盐")
    private Double syzfyOne;
    @ApiModelProperty("二厂pac")
    private Double paczfyTwo;
    @ApiModelProperty("次钠")
    private Double cnzfy;
    @ApiModelProperty("粉碳")
    private Double ftzfy;
    @ApiModelProperty("高锰酸钾复合盐")
    private Double gmsjfhyzfy;
    @ApiModelProperty("pam制水")
    private Double pamzszfy;
    @ApiModelProperty("冰醋酸")
    private Double bcszfy;
    @ApiModelProperty("污泥pam")
    private Double pamwnzfy;
    @ApiModelProperty("污泥转运")
    private Double wnzyf;
    @ApiModelProperty("一厂水资源税费")
    private Double szysfOne;
    @ApiModelProperty("二厂水资源税费")
    private Double szysfTwo;
    @ApiModelProperty("原水费")
    private Double ysf;
    @ApiModelProperty("液氯")
    private Double ylzfyTwo;
    @ApiModelProperty("其他")
    private Double otherzfy;
}

