package com.tofly.xrtygis.custom.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class WaterStationInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "水厂ID")
    private Long waterStationId;

    @ApiModelProperty(value = "水厂名称")
    private String waterStationName;

    @ApiModelProperty(value = "设计供水能力（万m³/天）")
    private BigDecimal designWaterCapacity;

    @ApiModelProperty(value = "今日供水总量（万m³）")
    private BigDecimal todayWater;

    @ApiModelProperty(value = "今年供水总量（万m³）")
    private BigDecimal thisYearWater;
}
