package com.tofly.xrtygis.custom.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.data.repository.query.Param;

import java.util.Date;
import java.util.Map;

public interface CustomScadaHistoryMapper {

    /**
     * 获取列表信息
     *
     * @param page       分页对象
     * @param start_time 开始时间
     * @param end_time   结束时间
     * @return list
     */
    Page<Map> getListInfo(Page page, @Param("start_time") Date start_time, @Param("end_time") Date end_time);
}
