package com.tofly.xrtygis.custom.service.dma;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import javax.servlet.http.HttpServletResponse;

public interface WaterSupplyMonthService {

    /**
     * 获取区域表月供水信息
     */
    Page getSupplyMonth(HttpServletResponse response,Page page, Long tableId, String start, String end, String isExport);

    /**
     * 获取区域表天供水信息
     * @param response
     * @param page
     * @param tableId
     * @param start
     * @param end
     * @param isExport
     * @return
     */
    Page getSupplyDay(HttpServletResponse response, Page page, Long tableId, String start, String end, String isExport);

    /**
     * 获取区域表小时供水信息
     * @param response
     * @param page
     * @param tableId
     * @param start
     * @param end
     * @param isExport
     * @return
     */
    Page getSupplyHour(HttpServletResponse response, Page page, Long tableId, String start, String end, String isExport);
}
