package com.tofly.xrtygis.custom.service.messge;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.custom.entity.gs.NoteSearch;
import com.tofly.xrtygis.custom.entity.message.SendMessage;

import java.util.Map;

/**
 * 发送短信
 *
 * @author zev
 */
public interface SendMessageService {

    /**
     * 发送短信
     * @param msg
     * @return
     */
    Boolean sendMessage(SendMessage msg);

    /**
     * 短信数量查看
     */
    Map<String,Long> getNoteNum();

    /**
     * 短信分页查看
     * @param page
     * @param noteSearch
     * @return
     */
    Page<SendMessage> getMessagePage(Page page, NoteSearch noteSearch);

    /**
     * 批量根据模板发送短信
     * @param yhbhs
     * @param tempId
     * @return
     */
    Boolean sendTemplateMessage(String yhbhs,Long tempId);

}
