package com.tofly.xrtygis.em;

/**
 * @author fcl
 * @date 2021/3/26 14:47
 */
public class Constant {
    /**
     * 导入导出文件相关
     */
    public static String DEFAULT_REPORT_IMPORT_FOLDER = "/report/import";
    public static String DEFAULT_REPORT_EXPORT_FOLDER = "/report/export";

    /**
     * 系统分隔符
     */
    public static String SYSTEM_SEPARATOR = "/";


    /**
     * 获取项目根目录
     */
    public static String PROJECT_ROOT_DIRECTORY = System.getProperty("user.dir").replaceAll("\\\\", SYSTEM_SEPARATOR);

    public static final String FEIGN_MESSAGE_CLIENT_ERROR = "消息推送数据服务,远程调用异常";
    public static final Integer FEIGN_MESSAGE_CLIENT_ERROR_CODE = 70001;

    /**
     * excel导出测试临时存储路径
     */
    public static String FILE_PATH_TEST_EXPORT_EXCEL = PROJECT_ROOT_DIRECTORY + "/excel.xls";
    /**
     * DMA分区生产批次号
     */
    public static String DMA_CODE_BATCH_ROB_MAINTAIN_SEQUENCE = "DMA_CODE_BATCH_ROB_MAINTAIN_SEQUENCE";
    public static String YES = "1";
    public static final String CSV = ",";
    public static String NO = "0";

    public static String POINT = ".";

    public static String POLL_TYPE = "2";
}
