/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 分区计量ICF管材类别表
 *
 * @author admin
 * @date Tue May 18 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_DMAPIETYPE_W", resultMap = "dmapietypeMap")
@KeySequence("TF_YWPN_DMAPIETYPE_W")
@ApiModel
public class Dmapietype extends Model<Dmapietype> {
    private static final long serialVersionUID = 1L;

    /**
     * 管材序号
     */
    @TableId(value = "MID", type = IdType.INPUT)
    @ApiModelProperty(value = "管材序号")
    private Long mid;
    /**
     * 管材名称
     */
    @ApiModelProperty(value = "管材名称")
    private String mname;
    /**
     * 是否启用
     */
    @ApiModelProperty(value = "是否启用")
    private String usfl;
    /**
     * 排序编号
     */
    @ApiModelProperty(value = "排序编号")
    private Long sort;

    @ApiModelProperty(value = "管材细分")
    private String mgcxf;

}
