/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 营销用户抄表本
 *
 * @author wangjieliu
 * @date Wed May 26 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_DMAUSERCBB_W", resultMap = "dmausercbbMap")
@KeySequence("TF_YWPN_DMAUSERCBB_W")
@ApiModel
public class Dmausercbb extends Model<Dmausercbb> {
    private static final long serialVersionUID = 1L;

    /**
     * 抄表本编码
     */
    @TableId(value = "CBBBM", type = IdType.INPUT)
    @ApiModelProperty(value = "抄表本编码")
    private String cbbbm;
    /**
     * 抄表本名称
     */
    @ApiModelProperty(value = "抄表本名称")
    private String cbbmc;
    /**
     * 片区编码
     */
    @ApiModelProperty(value = "片区编码")
    private String cbpqbm;
    /**
     * 标志（1启用，0禁用）
     */
    @ApiModelProperty(value = "标志（1启用，0禁用）")
    private String yxbz;

}
