/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 指标类别频率归集信息表
 *
 * @author admin
 * @date Sat Apr 17 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_ITEMTYPERATO_W", resultMap = "itemtyperatoMap")
@KeySequence("TF_YWPN_ITEMTYPERATO_W")
@ApiModel
public class Itemtyperato extends Model<Itemtyperato> {
    private static final long serialVersionUID = 1L;

    /**
     * 自增长ID，主键
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "自增长ID，主键")
    private Long id;
    /**
     * 指标类别编码
     */
    @ApiModelProperty(value = "指标类别编码")
    private String tycd;
    /**
     * 指标类别名称
     */
    @ApiModelProperty(value = "指标类别名称")
    private String tynm;
    /**
     * 时间频率（分钟）
     */
    @ApiModelProperty(value = "时间频率（分钟）")
    private Long rato;
    /**
     * 说明
     */
    @ApiModelProperty(value = "说明")
    private String notes;
    /**
     * 启用标志：1启用，0不启用
     */
    @ApiModelProperty(value = "启用标志：1启用，0不启用")
    private String enable;

}
