/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 热线工单质检结果录入表
 *
 * @author admin
 * @date Wed Nov 24 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWPN_RXGDZJLR_W",resultMap = "rxgdzjlrMap")
@KeySequence("TF_YWPN_RXGDZJLR_W")
@ApiModel
@Accessors(chain = true)
public class Rxgdzjlr extends Model<Rxgdzjlr> {
    private static final long serialVersionUID = 1L;

        /**
     * ID
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "ID")
                private Long id;
                /**
     * 质检部门
     */
            @ApiModelProperty(value = "质检部门")
                private Long zjbm;
                /**
     * 质检人员
     */
            @ApiModelProperty(value = "质检人员")
                private Long zjry;
                /**
     * 质检时间
     */
            @ApiModelProperty(value = "质检时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date zjsj;
                /**
     * 工单描述是否清晰
     */
            @ApiModelProperty(value = "工单描述是否清晰")
                private String sfQx;
                /**
     * 是否有错别字
     */
            @ApiModelProperty(value = "是否有错别字")
                private String sfCbz;
                /**
     * 是否超过受理时限
     */
            @ApiModelProperty(value = "是否超过受理时限")
                private String sfSlsx;
                /**
     * 是否超过处置时限
     */
            @ApiModelProperty(value = "是否超过处置时限")
                private String sfCzsx;
                /**
     * 质检描述
     */
            @ApiModelProperty(value = "质检描述")
                private String zjms;
                /**
     * 质检结果
     */
            @ApiModelProperty(value = "质检结果")
                private String zjjg;
                /**
     * 质检得分
     */
            @ApiModelProperty(value = "质检得分")
                private String zjdf;
                /**
     * 工单编号
     */
            @ApiModelProperty(value = "工单编号")
                private String gdbh;
            
}
