/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 热线短信标题字段描述
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_RXSMSTXITEM_W", resultMap = "rxsmstxitemMap")
@KeySequence("TF_YWPN_RXSMSTXITEM_W")
@ApiModel
public class Rxsmstxitem extends Model<Rxsmstxitem> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 通讯类型（编号）
     */
    @ApiModelProperty(value = "通讯类型（编号）")
    private Short txlx;
    /**
     * 标题字段
     */
    @ApiModelProperty(value = "标题字段")
    private String text;
    /**
     * 字段名称格式如：{YHDZ} 代表：客户地址
     */
    @ApiModelProperty(value = "字段名称格式如：{YHDZ} 代表：客户地址")
    private String zdmc;
    /**
     * 备注：如员工短信通知
     */
    @ApiModelProperty(value = "备注：如员工短信通知")
    private String bz;

}
