package com.tofly.xrtygis.entity.dto;
import com.baomidou.mybatisplus.annotation.TableField;
import com.tofly.common.core.annotation.Excel;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
@Data
@ApiModel
public class TfCameraManageDto {



        @Excel(name = "监控点名称")
        private String name;

        @Excel(name = "类别")
        @ApiModelProperty(value = "设备厂家")
        private String manufactor;



        @ApiModelProperty(value = "水厂名称")
        @Excel(name = "区域")
        private String waterInfoName;

        @ApiModelProperty(value = "水厂Id")
        @Excel(name = "水厂Id")
        private String waterInfoId;


        @Excel(name = "监控点类型")
        @ApiModelProperty(value = "设备型号")
        private String model;

        /**
         * 视频点位编号
         */
        @ApiModelProperty(value = "视频点位编号")
        @Excel(name = "所属设备编码")
        private String code;



        /**
         * 经度
         */
        @ApiModelProperty(value = "监控点经度")
        @Excel(name = "监控点经度")
        private Double longitude;
        /**
         * 纬度
         */
        @ApiModelProperty(value = "监控点纬度")
        @Excel(name = "监控点纬度")
        private Double latitude;
        /**
         * 描述
         */
        @ApiModelProperty(value = "描述")
        @Excel(name = "备注")
        private String describe;



}
