package com.tofly.xrtygis.entity.dto;

import com.tofly.xrtygis.entity.TfKpiManage;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
/**
 * 绩效考核管理Dto
 *
 * @author JF
 */
@Data
public class TfKpiManageDto extends TfKpiManage implements Serializable {
    private static final long serialVersionUID = 1L;

//    /**
//     * 考核类型（1按季度,2按年度）
//     */
//    @ApiModelProperty(value = "考核类型（1按季度,2按年度）")
//    private String assessType;

//    /**
//     * 考核分区（多选）
//     */
//    @ApiModelProperty(value = "考核分区（多选）")
//    private String assessDMA;

//    /**
//     * 被考核人员（多选）
//     */
//    @ApiModelProperty(value = "被考核人员（多选）")
//    private String assessPersonMore;

//    /**
//     * 区域级别
//     */
//    @ApiModelProperty(value = "区域级别")
//    private String areaLevel;

//    /**
//     * 考核内容（1巡线效率,2区域漏损率,3处漏效率,4区域漏损指标任务,5绩效任务）
//     */
//    @ApiModelProperty(value = "考核内容（1巡线效率,2区域漏损率,3处漏效率,4区域漏损指标任务,5绩效任务）")
//    private String assessContent;

//    /**
//     * 考核内容多选（1巡线效率,2区域漏损率,3处漏效率,4区域漏损指标任务,5绩效任务）
//     */
//    @ApiModelProperty(value = "考核内容多选（1巡线效率,2区域漏损率,3处漏效率,4区域漏损指标任务,5绩效任务）")
//    private String assessContentMore;

    /**
     * 考核当前年时间
     */
    @ApiModelProperty(value = "考核当前年时间")
    private String thisYearAssessDate;

    /**
     * 考核开始时间
     */
    @ApiModelProperty(value = "考核开始时间")
    private String startAssessDate;

    /**
     * 考核结束时间
     */
    @ApiModelProperty(value = "考核结束时间")
    private String endAssessDate;

    /**
     * 季度考核时间
     */
    @ApiModelProperty(value = "季度考核时间")
    private String quarterAssessDate;

//    /**
//     * 是否统计（0不统计,1统计）
//     */
//    @ApiModelProperty(value = "是否统计（0不统计,1统计）")
//    private String isCensus;

//    /**
//     * 新增考核管理数据实体
//     */
//    @ApiModelProperty(value = "新增考核管理数据实体")
//    private TfKpiManage tfKpiManage;

    /**
     * 分项汇总（1分项,2汇总）
     */
    @ApiModelProperty(value = "分项汇总（1分项,2汇总）")
    private String itemizedSummary;

}
