package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 首页-生产运营 供水量售水量 显示本年度各月完成累计值/预算情况
 * @author BZ-DJJ
 */
@Data
public class FeedSaleStatisticalVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("预算供水值")
    private BigDecimal expectWaterSupplyValue;

    @ApiModelProperty("预算售水值")
    private BigDecimal expectWaterSalesValue;

    @ApiModelProperty("累计供水值")
    private BigDecimal cumulativeWaterSupplyValue;

    @ApiModelProperty("累计售水值")
    private BigDecimal cumulativeWaterSalesValue;

}
