package com.tofly.xrtygis.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 处漏效率指标分析图形返回对象
 */
@Data
public class LeakageAnalysisViewVo implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "统计月份")
    private String month;

    @ApiModelProperty(value = "处漏效率")
    private BigDecimal leakageRate;
}
