package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 首页-管网 当月抢维修情况
 * @author BZ-DJJ
 */
@Data
public class RepairOrderStatisticalVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("计划类型")
    private String regionName;
    @ApiModelProperty("抢维修任务数")
    private BigDecimal totalOrder;
    @ApiModelProperty("已完成抢维修任务数")
    private BigDecimal completedOrder;
    @ApiModelProperty("未完成抢维修任务数")
    private BigDecimal unfinishedOrder;
    @ApiModelProperty("抢维修完成率")
    private BigDecimal orderRate;

}
