package com.tofly.xrtygis.entity.vo;

import com.tofly.xrtygis.entity.Dmatable;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * scada总览信息 app
 */
@Data
public class ScadaStatisticsAppVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "供水能力")
    private BigDecimal waterSupplyCapacity;

    @ApiModelProperty(value = "制水厂个数")
    private BigDecimal waterPlantNum;

    @ApiModelProperty(value = "取水站个数")
    private BigDecimal waterStation;

    @ApiModelProperty(value = "加压站个数")
    private BigDecimal pressurizationStationNum;

    @ApiModelProperty(value = "压力监测个数")
    private BigDecimal pressureMonitoringNum;

    @ApiModelProperty(value = "流量监测个数")
    private BigDecimal flowMonitoringNum;

}
