package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 首页 - 提供待办事项待完成数量统计 及 待办事项未开始的数量统计(根据时间范围处理)
 * @author BZ-DJJ
 */
@Data
public class TodoStatisticalInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "代办数量")
    private Long pendingNum;
    @ApiModelProperty(value = "未开始数量")
    private Long notStartedNum;
    @ApiModelProperty(value = "超时数量")
    private Long overTimeNum;
}
