package com.tofly.xrtygis.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * DMA分区用户水表信息返回
 */
@Data
public class UserWaterMeterAnalyzeVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "财务月份")
    private String month;
    @ApiModelProperty(value = "用水量")
    private BigDecimal waterConsumption;
    @ApiModelProperty(value = "抄收日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date receiptDate;


}
