package com.tofly.xrtygis.entity.vo.hwm.site;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@ApiModel
public class Channel extends Model<Channel> {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "通道名称")
    private String channelName;
    @ApiModelProperty(value = "若为漏点通道 0代表无泄漏 1代表泄露 若为其他通道则为数值")
    private String lastValue;
    @ApiModelProperty(value = "最新数据上传时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lastValueDate;
    @ApiModelProperty(value = "1为漏点通道 2为声强通道 3为频宽通道 与第三方确定一致")
    private String number;
}
