/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.xrtygis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.custom.entity.dataquery.FixedPlan;
import com.tofly.xrtygis.custom.entity.dataquery.FixedReality;
import com.tofly.xrtygis.custom.entity.dataquery.WaterPlan;
import com.tofly.xrtygis.custom.entity.dataquery.WaterReality;
import com.tofly.xrtygis.entity.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 预算指标单价信息表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
public interface CostbgpriceMapper extends BaseMapper<Costbgprice> {
    /**
     * 下面是生产成本单价比对
     * @param page
     * @return
     */
//    IPage<Map> selectCostPriceMonthByYearData(Page page, @Param("year") String year);
//    IPage<Map> selectCostPriceMonthData(Page page, @Param("startYearStr") String startYearStr, @Param("monthStr") String monthStr,
//                                        @Param("endYearStr") String endYearStr);






    /**
     * 下面是成本数据查询
     * @param startYear
     * @return
     */
    List<FixedPlan> getCostDataYearPlan(@Param("startYear") String startYear);
    List<FixedReality> getCostDataYearReality(@Param("startYear") String startYear);
    List<FixedPlan> getCostDataMonthByYearPlan(@Param("year") String year);
    List<FixedReality> getCostDataMonthByYearReality(@Param("year") String year);
    List<FixedPlan> getCostDataMonthPlan( @Param("month")String month , @Param("year") String yearDay);
    List<FixedReality> getCostDataMonthReality( @Param("month")String month , @Param("year") String yearDay);



}
