package com.tofly.xrtygis.pgWaterMapper;

import com.tofly.xrtygis.entity.vo.*;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 管网信息查询
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
public interface PgWaterMapper {

    @Select("select MATERIAL material,round(sum(num),2) num " +
            "FROM " +
            "((select  MATERIAL ,round(sum(PIPELENGTH),2) num from TF_JSJS_PIPE_B  " +
            "GROUP BY MATERIAL) " +
            "union  " +
            "(select MATERIAL ,round(sum(PIPELENGTH),2) num from TF_JSJS_STANDPIPE_B  " +
            "GROUP BY MATERIAL))t " +
            "group by MATERIAL  ")
    List<PipeMaterialStatisticalVo> getPipeMaterialStatistical();

    @Select("select DIAMETER diameter,round(sum(num),2) num " +
            "FROM " +
            "((select  DIAMETER ,round(sum(PIPELENGTH),2) num from TF_JSJS_PIPE_B  " +
            "GROUP BY DIAMETER) " +
            "union  " +
            "(select DIAMETER ,round(sum(PIPELENGTH),2) num from TF_JSJS_STANDPIPE_B  " +
            "GROUP BY DIAMETER))t " +
            "group by DIAMETER  " +
            "ORDER BY diameter")
    List<PipeMaterialStatisticalVo> getPipeCaliberCensus();
}
