/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtygis.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.xrtygis.entity.TfKpiManage;
import com.tofly.xrtygis.entity.dto.TfKpiManageDto;

import java.util.List;
import java.util.Map;

/**
 * 绩效考核管理
 *
 * @author JF
 * @date Fri Mar 25 00:00:00 CST 2022
 */
public interface TfKpiManageService extends IService<TfKpiManage> {

    Page<TfKpiManage> getTfKpiCensusPage(Page page, TfKpiManageDto tfKpiManageDto);

    Page<TfKpiManage> getTfKpiDetailedPage(Page page, TfKpiManageDto tfKpiManageDto);

    List<Map<String,Object>> getTfKpiCensusPhoto(TfKpiManageDto tfKpiManageDto);

//    boolean saveTfKpiManage(TfKpiManageDto tfKpiManageDto);

//    Page<TfKpiManage> getCensusInfo(Page page, TfKpiManageDto tfKpiManageDto);

}
