/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.xrtygis.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.xrtygis.entity.NoiseLoggerInfo;
import com.tofly.xrtygis.mapper.NoiseLoggerInfoMapper;
import com.tofly.xrtygis.service.NoiseLoggerInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 噪音记录仪信息
 *
 * @author admin
 * @date Wed Apr 13 00:00:00 CST 2022
 */
@Service("noiseLoggerInfoService")
public class NoiseLoggerInfoServiceImpl extends ServiceImpl<NoiseLoggerInfoMapper, NoiseLoggerInfo> implements NoiseLoggerInfoService {

    @Autowired
    private NoiseLoggerInfoMapper mapper;

    @Override
    public NoiseLoggerInfo getMaxLastValueDateVo(String  MobileNumber) {
        return mapper.getMaxLastValueDateVo(MobileNumber);
    }

    @Override
    public Long selectMaxId(String tableName) {
        return mapper.selectMaxId(tableName);
    }
}
