package com.tofly.es.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author BZ-DJJ
 */
@Data
public class StatisticalInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "有效耗时")
    private Double vaildTotalTime;
    @ApiModelProperty(value = "有效里程")
    private Double vaildTotalDistance;
    @ApiModelProperty(value = "有效速度")
    private Double vaildSpeed;
    @ApiModelProperty(value = "巡查用户ID")
    @TableField(value = "USER_ID", fill = FieldFill.INSERT)
    private Long userId;
    @ApiModelProperty(value = "巡查用户名称")
    private String userIdName;
    @ApiModelProperty(value = "巡检里程")
    private Double planTotalDistance;
    @ApiModelProperty(value = "巡检时长,秒数")
    private Double planTotalTime;
    @ApiModelProperty(value = "巡检平均时速")
    private Double planTotalAverage;
}
