/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.maintain.dto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 抢维修工单个人任务请求对象
 *
 * @author admin
 * @date Tue Apr 06 00:00:00 CST 2021
 */
@Data
@ApiModel
public class RepairuserChildDto extends Model<RepairuserChildDto> {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "维修人ID,主要负责人")
    private Long respUser;

    @ApiModelProperty(value = "协同处理人ID，多个以英文逗号分隔")
    private String teamUser;

    @ApiModelProperty(value = "核定用时,单位小时")
    private Double ratifyTime;

    @ApiModelProperty(value = "计划完成个数")
    private Long planNum;

    @ApiModelProperty(value = "电话")
    private String phone;

    @ApiModelProperty("多个点经纬度存储")
    private String lngLats;
}
