/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.maintain.vo.datail;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.pojo.comm.Audit;
import com.tofly.pojo.comm.vo.AuditVo;
import com.tofly.pojo.maintain.PipeMfRecord;
import com.tofly.pojo.maintain.Repairreject;
import com.tofly.pojo.maintain.vo.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


/**
 * 抢维修详情信息(新)
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@ApiModel
public class RepairOrderDetailNewVo extends Model<RepairOrderDetailNewVo> {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "热线相关信息")
    private RepairOrderHotlineInfoVo hotlineInfoVo;

    @ApiModelProperty(value = "抢维修工单基础信息")
    private RepairOrderBaseInfoVo baseInfoVo;

    @ApiModelProperty(value = "热线/业务工单驳回信息列表")
    private List<Repairreject> repairRejectList;

    @ApiModelProperty(value = "抢维修维修处理信息列表")
    private List<RepairOrderRecordInfoVo> recordInfoVoList;

    @ApiModelProperty(value = "养护处理信息列表")
    private List<PipeMfRecord> pipeMfRecordList;

    @ApiModelProperty(value = "审核记录")
    private List<AuditVo> auditList;

    @ApiModelProperty(value = "当前节点(1工单登记 2维修/保养处理 3维修审核 4归档)")
    private String node;

}
