/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.plan;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 计划与巡检组关联表
 *
 * @author admin
 * @date Tue Mar 30 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_PLAN_INSPECT_GROUP_W", resultMap = "planInspectGroupMap")
//@KeySequence("PLAN_INSPECT_GROUP_W_SEQ")
@ApiModel
public class PlanInspectGroup extends Model<PlanInspectGroup> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.AUTO)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 主计划id
     */
    @ApiModelProperty(value = "主计划id")
    private Long planId;
    /**
     * 巡检组id
     */
    @ApiModelProperty(value = "巡检组id")
    private Long inspectGroupId;

}
