package com.tofly.pojo.plan.vo;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_VALVEWELLDETAIL_W", resultMap = "valvewelldetailMap")
@KeySequence("TF_YWPN_VALVEWELLDETAIL_W")
@ApiModel
public class ValvewelldetailVo extends Model<ValvewelldetailVo> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 类型ID
     */
    @ApiModelProperty(value = "类型ID")
    private Long typeId;
    /**
     * 类型名称
     */
    @ApiModelProperty(value = "类型名称")
    private String typeName;
    /**
     * 是否完成(1完成，0未完成)
     */
    @ApiModelProperty(value = "是否完成(1完成，0未完成)")
    private String iscomplete;
    /**
     * 主表字段(关联tf_ywpn_valvewell_w表)
     */
    @ApiModelProperty(value = "主表字段(关联tf_ywpn_valvewell_w表)")
    private Long vwId;
}
