/*
 * Author: Zev
 * 生成Service
 */
package com.tofly.gpsboot.controller.plan.monitor.daily;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.pojo.plan.dto.RegionrespDto;
import com.tofly.pojo.plan.vo.RegionrespVo;
import com.tofly.gpsboot.exception.BusinessException;
import com.tofly.gpsboot.service.IBaseService;
import com.tofly.pojo.plan.Regionresp;


/**
 * 片区责任组关联信息表：TF_YWPN_REGIONRESP_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
public interface RegionrespService extends IBaseService<Regionresp, RegionrespVo> {
    /**
     * 片区分页查询
     * @return
     */
    Page<RegionrespVo> getRegionrespPage(Page page, RegionrespDto dto);

    /**
     * 单个删除或批量删除信息
     *
     * @param idLists
     * @throws BusinessException 抛出删除对象不存在
     */
    void deleteRegionrespInfo(String idLists) throws BusinessException;
}
