/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.gpsboot.mapper.rushrepair;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.pojo.plan.vo.PlanTypeRateVo;
import com.tofly.pojo.rushrepair.Rushrepair;
import com.tofly.pojo.statement.dto.StatementDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 抢修上报信息表
 *
 * @author sunjian
 * @date Tue Mar 21 00:00:00 CST 2023
 */
public interface RushrepairMapper extends BaseMapper<Rushrepair> {
    List<Map> getSidSelect(@Param("typeid") String typeid, @Param("map") Map map);

    List<PlanTypeRateVo> getRepairFeeList(@Param("dto") StatementDto dto);

    long getCostSum(@Param("dto") StatementDto dto);

    List<PlanTypeRateVo> getRepairSourceList(@Param("dto") StatementDto dto);

    List<PlanTypeRateVo> getRepairTimeList(@Param("dto") StatementDto dto);
}
