/*
 * Author: Zev
 * 生成Service
 */
package com.tofly.gpsboot.service.config;

import com.tofly.pojo.plan.vo.PeriodVo;
import com.tofly.gpsboot.exception.BusinessException;
import com.tofly.pojo.plan.Period;
import com.tofly.gpsboot.service.IBaseService;


/**
 * 巡检周期配置信息表：TF_YWPN_PERIOD_D
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
public interface PeriodService extends IBaseService<Period, PeriodVo> {

    /**
     * 单个删除或批量删除信息
     *
     * @param idLists
     * @throws BusinessException 抛出删除对象不存在
     */
    void deletePeriodInfo(String idLists) throws BusinessException;
}
