package com.tofly.gpsboot.service.fegin;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.pojo.statics.dto.StaticsQueryDto;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Date;
import java.util.Map;

@FeignClient(contextId = "misFeign", value = "tofly-xrtymis",fallbackFactory = MisFeignFallback.class)
public interface MisFeign {
    @GetMapping("/commonstatics/staticsData")
    public ResultRespone<Map> getStaticsData(@RequestParam(value = "beginDate")Date beginDate, @RequestParam(value = "endDate")Date endDate, @RequestParam(value = "type")String type);

}
