package com.tofly.gpsboot.service.fegin;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.entity.pojo.User;
import com.tofly.pojo.statics.dto.StaticsQueryDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Date;
import java.util.Map;

@FeignClient(contextId = "waterQualityFeign", value = "water-quality",fallbackFactory=WaterQualityFeignFallBack.class)
public interface WaterQualityFeign {

    @GetMapping("/commonstatics/staticsData")
    ResultRespone<Map> getData(@RequestParam(value = "beginDate")Date beginDate,@RequestParam(value = "endDate")Date endDate,@RequestParam(value = "type")String type);
}
