package com.tofly.gpsboot.service.fegin;

import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class WaterQualityFeignFallBack  implements FallbackFactory<WaterQualityFeign> {
    @Override
    public WaterQualityFeign create(Throwable throwable) {
        String msg = throwable == null ? "" : throwable.getMessage();
        if (!StringUtils.isEmpty(msg)) {
            log.error(msg);
        }
        return  null;
    }
}
