/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.gpsboot.service.trouble;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.gpsboot.exception.BusinessException;
import com.tofly.gpsboot.service.IBaseService;
import com.tofly.pojo.trouble.Toublerange;
import com.tofly.pojo.trouble.vo.ToublerangeVo;

/**
 * 隐患等级表
 *
 * @author admin
 * @date Fri Aug 06 00:00:00 CST 2021
 */
public interface ToublerangeService extends IBaseService<Toublerange, ToublerangeVo> {
    /**
     * 单个删除或批量删除信息
     *
     * @param idLists
     * @throws BusinessException 抛出删除对象不存在
     */
    void deleteToublerangeInfo(String idLists) throws BusinessException;
}
