/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtymis.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.xrtymis.custom.entity.LeakDeviceArchiveVo;
import com.tofly.xrtymis.entity.NoiseLoggerInfo;


/**
 * 噪音记录仪信息
 *
 * @author admin
 * @date Wed Apr 13 00:00:00 CST 2022
 */
public interface NoiseLoggerInfoService extends IService<NoiseLoggerInfo> {
   /**
    * 漏损监测分页查询
    * @param page
    * @param monitoringState
    * @param likeStr
    * @return
    */
   Page<LeakDeviceArchiveVo> getLeakDeviceArchivePage(Page page, String monitoringState, String likeStr);
}
