package com.tofly.xrtymis.custom.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 管点vo
 */
@Data
public class PipeNodeVO {

    /**
     * 管点id
     */
    @ApiModelProperty(value = "管点id")
    private Long id;
    /**
     * X坐标
     */
    @ApiModelProperty(value = "X坐标")
    private Double x;
    /**
     * Y坐标
     */
    @ApiModelProperty(value = "Y坐标")
    private Double y;
    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;

}
