package com.tofly.xrtymis.entity.osm;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author sunjian
 * @date 2023/7/19
 */
@Data
@Component
@ConfigurationProperties(prefix = "langchao.userinfo")
public class LangChaoUserInfo {

    /**
     * 接口地址
     */
    private String Url = "";
    /**
     * 登陆密钥
     */
    private String Appkey = "";

    /**
     * 登陆验证
     */
    private String AppSecret = "";
}
