package com.tofly.spire.common;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.haiqiu.tools.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public interface Constants {


    /**
     * SpireMT缓存key
     */
    String SPIRE_MT_TOKEN_KEY = "SpireMT:token:key";


    /**
     * SpireMT缓存过期时间-秒
     */
    int EXPIRE_TIME_TOKEN_KEY = 400;

    String GET_MERGE_SYMBOL = "&";

    /**
     * get请求带token
     */
    String TOKEN = "token";

    /**
     * SpireMT缓存过期时间-秒
     */
    String HTTP_OK = "200";

    /**
     * SpireMT大表数据集合key
     */
    String SPIRE_MT_BIG_KEY = "SpireMT:big:key";


    /**
     * 累计量(m³)
     */
    String accFlow = "accFlow";

    /**
     * 反向累积量 (m³)
     */
    String decAccFlow = "decAccFlow";

    /**
     * 瞬时量 (m³/h)
     */
    String flow = "flow";

    /**
     * 进水温度 (℃)
     */
    String inTemp = "inTemp";

    /**
     * 温度 (℃)
     */
    String temp = "temp";

    /**
     * 纬度
     */
    String latitude = "latitude";

    /**
     * 经度
     */
    String longitude = "longitude";

    /**
     * 表名
     */
    String meterName = "meterName";

    /**
     * 表具状态
     */
    String meterStatus = "meterStatus";

    /**
     * 表具类型
     */
    String meterType = "meterType";

    /**
     * 压力值 (K_PA)
     */
    String pressure = "pressure";


    /**
     * 表号
     */
    String sn = "sn";
}
