package com.tofly.water.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.tofly.scada.entity.DeviceArchiveManage;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * @author HaiQiu
 * @since 2022/11/30
 */
@Data
public class DeviceBusPumpsVo extends DeviceArchiveManage {

    @TableField(exist = false)
    @ApiModelProperty(value = "泵组名称")
    private String pumpGroupName;

    @TableField(exist = false)
    @ApiModelProperty(value = "泵站名称")
    private String pumpName;

    @TableField(exist = false)
    @ApiModelProperty(value = "scada数据集合")
    private Object scadaList;
}
