package com.tofly.toflygetway.config;

import lombok.Data;
import org.springframework.boot.autoconfigure.condition.ConditionalOnExpression;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "localauth")
@ConditionalOnExpression("${localauth.open:true}")
public class ThirdSysTokenConfig {

    public String url;
}
