package com.tofly.quality.entity.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import com.tofly.quality.entity.comm.CommQuery;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class AssayConfigDQuery extends CommQuery {

    @ApiModelProperty(value = "化验项配置名称")
    @TableField(condition = ToflySqlCondition.LIKE)
    private String assayConfigName;

    @ApiModelProperty(value = "化验项字典编号")
    private Long assayDicId;
    @ApiModelProperty(value = "化验项字典名称")
    @TableField(condition = ToflySqlCondition.LIKE)
    private String assayDicName;

}
