/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.quality.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.quality.entity.AssayConfigD;
import com.tofly.quality.entity.dto.AssayConfigDQuery;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
 * 化验项配置
 *
 * @author admin
 * @date Wed Nov 02 00:00:00 CST 2022
 */
@Repository
public interface AssayConfigDMapper extends BaseMapper<AssayConfigD> {
    Page<AssayConfigD> getPageData(Page page, @Param("qry") AssayConfigDQuery query);

    String getAssayConfigName(@Param("id") String id);
}
