/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.quality.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.quality.entity.WasteMgt;
import com.tofly.quality.entity.dto.WasteMgQuery;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;

import java.util.List;

/**
 * 固废物处理台账
 *
 * @author Fall_Mu
 * @date Mon Apr 03 00:00:00 CST 2023
 */
public interface WasteMgtMapper extends BaseMapper<WasteMgt> {
    Page<WasteMgt> getPageData(Page page, @Param("qry") WasteMgQuery query);
}
