/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.quality.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.pojo.statics.dto.StaticsQueryDto;
import com.tofly.quality.entity.AssayResultW;
import com.tofly.quality.entity.CollectMs;
import com.tofly.quality.entity.dto.AssayResultWQuery;
import com.tofly.quality.entity.dto.CollectMsQuery;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * 眉山水质检测采集主表
 *
 * @author admin
 * @date Thu Mar 23 00:00:00 CST 2023
 */
public interface CollectMsService extends IService<CollectMs> {

    boolean saveCollectResult( CollectMs CollectMs,List<MultipartFile> fileList, boolean isAdd);

    Page<CollectMs> getPageData(Page page, CollectMsQuery query);

    boolean deleteByIds(String ids);

    List<CollectMs>getResultList(Long collectMsId);


    public List<Map<String,Integer>>  staticsDataOverMonth(StaticsQueryDto staticsQueryDto);

}
