/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.quality.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.quality.entity.AssayDicD;
import com.tofly.quality.entity.SolidwasteType;
import com.tofly.quality.entity.dto.AssayDicDQuery;
import com.tofly.quality.entity.dto.SolidWasteTypeQuery;

/**
 * 固废类型表
 *
 * @author admin
 * @date Thu Mar 30 00:00:00 CST 2023
 */
public interface SolidwasteTypeService extends IService<SolidwasteType> {

    Page<SolidwasteType> getPageData(Page page, SolidWasteTypeQuery query);

    boolean selectByName(String SmallTypeName, Long id);

    boolean deleteByIds(String ids);
}
