package com.tofly.watermeter;

import com.tofly.baseapi.config.ToflyWebColudApplication;
import com.tofly.watermeter.config.FeignConfig;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * @author FlashWJL
 * @date 2021/3/23 14:36
 */
@ToflyWebColudApplication
//@EnableFeignClients(defaultConfiguration =  FeignConfig.class)
@EnableFeignClients(basePackages ={"com.tofly.api","com.tofly.watermeter"},defaultConfiguration = {FeignConfig.class})
//@ComponentScan(basePackages = {"com.tofly.watermeter.*"})
//@MapperScan({"com.tofly.*.mapper", "com.tofly.*.custom.mapper"})
public class XrtyMeterApplication {
    public static void main(String[] args) {
        SpringApplication.run(XrtyMeterApplication.class, args);
    }
}
