package com.tofly.watermeter.custom.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 第二种 水表入库实体类
 * @author FlashWJL
 * @date 2021/6/24 14:02
 */
@Data
public class BwSbRkCkTwo {
    /**
     * 流水编号
     */
    @ApiModelProperty(value = "流水编号")
    private String bwLsbh;
    /**
     * 流水编号
     */
    @ApiModelProperty(value = "水表编号集合；多个以逗号隔开")
    private String sbbhList;
    /**
     * 水表厂家
     */
    @ApiModelProperty(value = "水表厂家")
    private Long bwSbcj;
    /**
     * 水表类型
     */
    @ApiModelProperty(value = "水表类型")
    private Long bwSblx;
    /**
     * 水表口径
     */
    @ApiModelProperty(value = "水表口径")
    private Long bwSbkj;

    @ApiModelProperty(value = "领取部门")
    private Long deptId;

    @ApiModelProperty(value = "领取人员")
    private Long userId;
    @ApiModelProperty(value = "出库工单编号")
    private String gdbh;

    @ApiModelProperty(value = "是否首检选项；0：不用首检；1：需要首检")
    private String isSjPlan;


}
