package com.tofly.watermeter.custom.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author FlashWJL
 * @date 2021/4/12 16:31
 */
@Data
public class SearchSb {
    /**
     * 水表编号
     */
    @ApiModelProperty(value = "水表口径")
    private Long bwSbkj;
    /**
     * 水表厂家
     */
    @ApiModelProperty(value = "水表厂家")
    private Long bwSbcj;
    /**
     * 水表类型
     */
    @ApiModelProperty(value = "水表类型")
    private Long bwSblx;

    @ApiModelProperty(value = "水表编号")
    private String sbbh;

    @ApiModelProperty(value = "输入框内容")
    private String inputContent;

    @ApiModelProperty(value = "移交类型ID")
    private Long yjlxId;

    @ApiModelProperty(value = "0：未处理；1：已处理")
    private String isState;

    @ApiModelProperty(value = "日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date time;

    @ApiModelProperty(value = "结束日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    @ApiModelProperty(value = "导出标识；1：导出")
    private String templateFlag;
    @ApiModelProperty(value = "查看库存详情数据；1：查看")
    private String kcInfo;
}
