package com.tofly.watermeter.custom.entity.meterRead;

import com.tofly.watermeter.entity.Yhbingqy;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 用于接收修改抄表序号实体类参数
 * @author FlashWJL
 * @date 2021/7/14 17:32
 */
@Data
public class YhbhAndCbxhList {

    private List<Yhbingqy> yhbhAndCbxhs;

    @ApiModelProperty("当前用户编号（任务排序（task）时多个用户编号逗号隔开传递）")
    private String originalYh;

    @ApiModelProperty(value = "当前用户序号")
    private Long originalXh;

    @ApiModelProperty("目标用户编号：定位用户")
    private String targetYh;

    @ApiModelProperty("目标用户的序号：定位序号")
    private Integer targetXh;

    @ApiModelProperty("排序移动标识；0：往后；1：往前；")
    private String moveFlag;

    @ApiModelProperty("区域段编码")
    private String qydbm;

    @ApiModelProperty("排序类型；1：单个上下移动排序；2：跳转排序")
    private String moveType;

    @ApiModelProperty("是否APP端修改；1：是")
    private String isApp;




}
