package com.tofly.watermeter.custom.entity.meterRead.readstatic;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author FlashWJL
 * @date 2021/12/23 18:46
 */
@Data
public class AccuracyCollect {
    @ApiModelProperty(value = "抄表人员ID")
    private Long cbry;
    @ApiModelProperty(value = "抄表人员名称")
    private String cbryName;
    @ApiModelProperty(value = "抄表区域名称")
    private String cbqyMc;
    @ApiModelProperty(value = "抄表区域编码")
    private String cbqyBm;
    @ApiModelProperty(value = "区域段名称")
    private String qydMc;
    @ApiModelProperty(value = "区域段编码")
    private String qydBm;
    @ApiModelProperty(value = "抄表总数(或实际抄表数)")
    private Integer allNum;
    @ApiModelProperty(value = "故障数")
    private Integer breakNum;
    @ApiModelProperty(value = "准确数")
    private Integer accuracyNum;
    @ApiModelProperty(value = "准确率")
    private Float accuracyRatio;
    @ApiModelProperty(value = "总准确率")
    private Float allAccuracyRatio;
    @ApiModelProperty(value = "list集合")
    private List<AccuracyCollect> list;


}
