package com.tofly.watermeter.custom.entity.meterRead.readstatic;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 抄表情况汇总
 * @author FlashWJL
 * @date 2021/11/15 16:41
 */
@Getter
@Setter
public class ReadCondition {


    @ApiModelProperty(value = "抄表人员")
    private Long cbry;

    private String cbryName;
    /**
     * 抄表区域名称
     */
    @ApiModelProperty(value = "抄表区域名称")
    private String cbqyMc;
    /**
     * 抄表区域编码
     */
    @ApiModelProperty(value = "抄表区域编码")
    private String cbqyBm;
    /**
     * 抄表区段编码
     */
    @ApiModelProperty(value = "抄表区段编码")
    private String cbqydBm;
    @ApiModelProperty(value = "区域段名称")
    private String qydmc;

    private Integer qyAllReadNum;

    private Integer readAllNum;

    private Integer noReadNum;

    private Integer allNum;
}
