package com.tofly.watermeter.custom.entity.meterRead.readstatic;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author FlashWJL
 * @date 2021/12/16 14:44
 */
@Data
public class ReadOverTime {

    @ApiModelProperty(value = "抄表人员ID")
    private Long cbry;
    @ApiModelProperty(value = "抄表人员名称")
    private String cbryName;
    @ApiModelProperty(value = "超时次数(异常次数)")
    private Integer overTimeCount;
    @ApiModelProperty(value = "总超时率(总时长)")
    private Float overTimeRatio;
    @ApiModelProperty(value = "超时抄表个数")
    private Integer overCount;
    @ApiModelProperty(value = "抄表总数")
    private Integer allCount;
    @ApiModelProperty(value = "平均间隔时长")
    private Float averageDiffTime;
}
