package com.tofly.watermeter.custom.entity.webserverbean;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * 远程调用森先炬接口
 * 客户基本信息实体类
 *
 * @author FlashWJL
 * @date 2021/5/8 15:29
 */
@Data
public class KhInfo {


//        CBPQ (string, optional): 片区（编码） ,
//        CBB (string, optional): 抄表本（编码) ,
//        YHBH (string, optional): 客户编号（可多个传入） ,
//        YHXM (string, optional): 客户姓名 ,
//        YHDZ (string, optional): 客户地址 ,
//        LXDH (string, optional): 联系电话 ,
//        YHZT (string, optional): 用户状态(1正式、2报停、3销户、4作废) ,
//        SBBH (string, optional): 水表编号（可多个传入） ,
//        SING (string, optional): 签名 ,
//        ACTION (string, optional): 操作类型

    //由于第三方接口全是大写的情况，使用bean转json的过程中会出现小驼峰命名情况，所以需要全部大写
    @JSONField(name = "CBPQ")
    private String CBPQ;
    @JSONField(name = "CBB")
    private String CBB;
    @JSONField(name = "YHBH")
    private String YHBH;
    @JSONField(name = "YHXM")
    private String YHXM;
    @JSONField(name = "YHDZ")
    private String YHDZ;
    @JSONField(name = "LXDH")
    private String LXDH;
    @JSONField(name = "YHZT")
    private String YHZT;
    @JSONField(name = "SBBH")
    private String SBBH;
    @JSONField(name = "SBKH")
    private String SBKH;
    @JSONField(name = "SING")
    private String SING;
    @JSONField(name = "ACTION")
    private String ACTION;


}
