package com.tofly.watermeter.custom.mapper.statisticanalysis;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.*;


@Repository
public interface QueryStatisticsMapper {

//    Page<HashMap<String,String>> getEventQuery(Page page,
//                                               @Param("startDate") String startDate,
//                                               @Param("endDate") String endDate,
//                                               @Param("queryCode") String queryCode);
    HashMap<String,String> getEventQuery(@Param("startDate") String startDate,
                                               @Param("endDate") String endDate,
                                               @Param("yhbh") String yhbh);

    List<String> getHouseholdsQuery(@Param("parseObject") HashMap<String,String> parseObject);

    Page<HashMap<String,String>> getHouseholdsQueryDetail(Page page,
                                                          @Param("parseObject") HashMap<String, String> parseObject);


    Page<HashMap<String,String>> getCBEvent(Page page,
                                            @Param("startDate") String startDate,
                                            @Param("endDate") String endDate,
                                            @Param("khbh") String khbh);

    Page<HashMap<String,String>> getGDEvent(Page page,
                                            @Param("startDate") String startDate,
                                            @Param("endDate") String endDate,
                                            @Param("khbh") String khbh);

    Page<HashMap<String,String>> getZJEvent(Page page,
                                            @Param("startDate") String startDate,
                                            @Param("endDate") String endDate,
                                            @Param("khbh") String khbh);


}
