package com.tofly.watermeter.custom.service;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.watermeter.custom.entity.meterRead.ReadRecord;
import com.tofly.watermeter.custom.entity.webserverbean.ReadWrite;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * @author FlashWJL
 * @date 2021/8/30 11:09
 */
public interface ReadDataCheckThreeService {

    boolean readRecord(ReadRecord record , List<MultipartFile> fileList);

    void testRead();

    StringBuilder saveFileList(List<MultipartFile> fileList, String filePathBean, String tableName);
    /**
     * 同步抄表数据到森鑫炬
     *
     * @param write 同步森鑫炬实体
     * @param yhbh 用户编号
     * @param cbyf 抄表月份
     */
    boolean sysSXJCbData(ReadWrite write, String yhbh, String cbyf, ReadRecord record, Integer zeroCount, Integer upCount,
                      Integer downCount, Integer equalCount, String isFirst,
                      Long yearonyear1, Long yearonyear2, Long yearonyear3);

    String readDataCheck(ReadRecord record, String isGeneral);

    ResultRespone updateCbsl(ReadRecord record);

    ResultRespone synCbsl(String yhbhS , String monthPlan , String isGeneral);

    ResultRespone cbsf(String yearMonth);

    ResultRespone soleSign(String yearMonth);

    /**
     * 通过客户编号获取用户名与上次抄表水量
     */
    List<Map<String, String>> queryInfoByCode();
}
