/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 水表出库记录ID与工单ID绑定
 *
 * @author wangjieliu
 * @date Thu Apr 01 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_BWGDANDCK_Z", resultMap = "bwgdandckMap")
@KeySequence("TF_YWPN_BWGDANDCK_Z")
@ApiModel
public class Bwgdandck extends Model<Bwgdandck> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 出库ID
     */
    @ApiModelProperty(value = "出库ID")
    private Long skid;
    /**
     * 工单ID
     */
    @ApiModelProperty(value = "工单ID")
    private String gdid;

}
