/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 指标流量日记录表
 *
 * @author admin
 * @date Wed Jun 08 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_DAYWATERYIELD_W", resultMap = "daywateryieldMap")
@KeySequence("TF_YWPN_DAYWATERYIELD_W")
@ApiModel
public class Daywateryield extends Model<Daywateryield> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 指标编号
     */
    @ApiModelProperty(value = "指标编号")
    private String itcd;
    /**
     * 流量
     */
    @ApiModelProperty(value = "流量")
    private Double flow;
    /**
     * 时间
     */
    @ApiModelProperty(value = "时间")
    private String time;

}
