/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 模型参数说明
 *
 * @author wangjieliu
 * @date Tue Dec 21 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_READABNOMALDES_W", resultMap = "tfReadabnomaldesMap")
@KeySequence("TF_READABNOMALDES_W")
@ApiModel
public class TfReadabnomaldes extends Model<TfReadabnomaldes> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 序号
     */
    @ApiModelProperty(value = "序号")
    private Integer serialNum;
    /**
     * 模型名称
     */
    @ApiModelProperty(value = "模型名称")
    private String modelName;
    /**
     * 模型说明
     */
    @ApiModelProperty(value = "模型说明")
    private String modelDes;
    /**
     * 标题
     */
    @ApiModelProperty(value = "标题")
    private String tatilDes;
    /**
     * 类型
     */
    @ApiModelProperty(value = "类型;0:水量数据异常分析模型简介;1:水量数据异常分析模型参数信息")
    private String type;

}
