/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 取供水指标配置表
 *
 * @author admin
 * @date Sat May 28 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWPN_WATERYIELDCONFIG_W",resultMap = "wateryieldconfigMap")
@KeySequence("TF_YWPN_WATERYIELDCONFIG_W")
@ApiModel
public class Wateryieldconfig extends Model<Wateryieldconfig> {
    private static final long serialVersionUID = 1L;

        /**
     * $column.comments
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "$column.comments")
                private Long id;
                /**
     * 厂家ID
     */
            @ApiModelProperty(value = "厂家ID")
                private Long factory;
                /**
     * 0 取水量 1 供水量
     */
            @ApiModelProperty(value = "0 取水量 1 供水量")
                private String flag;
                /**
     * 指标编号
     */
            @ApiModelProperty(value = "指标编号")
                private String item;
            
}
