/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.watermeter.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.file.TurnoverFileInfo;
import com.tofly.watermeter.entity.Bwhbdatail;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 水表换表记录表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
public interface BwhbdatailMapper extends BaseMapper<Bwhbdatail> {
    IPage getExchange(Page page, @Param("inputcontent") String inputcontent, @Param("sbbh") String sbbh ,
                      @Param("startTime") Date startTime , @Param("endTime") Date endTime);

    IPage<Map> getSyDate(Page page , @Param("cj") List<String> cjList , @Param("kj") List<String> kjList,
                         @Param("lx") List<String> lxList, @Param("syDate")Integer syDate);

    IPage<Map> getSyDateDetails(Page page , @Param("cj") Long cj, @Param("kj")Long kj,
                                @Param("lx")Long lx, @Param("syDate")Integer syDate);

    List<Map> getSyDateDetailsList(@Param("cj") Long cj, @Param("kj")Long kj,@Param("lx")Long lx, @Param("syDate")Integer syDate);

    List<Bwhbdatail> getYjInfo(@Param("list") List<TurnoverFileInfo> turnoverList);

    String getImagePath(@Param("image") String image);
}
