/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.watermeter.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.meterRead.ReadSearch;
import com.tofly.watermeter.entity.Qfcbplan;
import com.tofly.watermeter.entity.Qfcbplandetails;
import org.apache.ibatis.annotations.Param;


import java.util.List;
import java.util.Map;

/**
 * 抄表计划表（年计划）
 *
 * @author wangjieliu
 * @date Fri Nov 05 00:00:00 CST 2021
 */
public interface QfcbplanMapper extends BaseMapper<Qfcbplan> {
    String getIsStateName(@Param("isState") String isState);


    Long getMaxId();

    List<Map> getCbry(@Param("departId") Long departId);
}
