/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.watermeter.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.watermeter.custom.dto.ReadFarDo;
import com.tofly.watermeter.entity.Readmetereashis;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 抄表历史数据（有本系统自己管理的）
 *
 * @author xqf
 * @date Tue Dec 28 00:00:00 CST 2021
 */
@Mapper
public interface ReadmetereashisMapper extends BaseMapper<Readmetereashis> {

    List<Readmetereashis> getHisInfo(@Param("start") String start, @Param("end") String end, @Param("yhbh") String yhbh);

    Long getLastWaterVal(@Param("yhbh") String yhbh, @Param("cbyf") String cbyf,@Param("lastNumber") Long lastNumber);

    List<ReadFarDo> readmetereashisInfo(@Param("month") String month);

    Map getNumber(@Param("yhbh") String yhbh, @Param("cbyf") String cbyf,@Param("lastNumber") Long lastNumber);
}
