/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.watermeter.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.watermeter.custom.entity.meterRead.AppRead;
import com.tofly.watermeter.custom.entity.meterRead.ReadSearch;
import com.tofly.watermeter.custom.entity.meterRead.readstatic.AuditMap;
import com.tofly.watermeter.custom.entity.meterRead.readstatic.ReadCollect;
import com.tofly.watermeter.entity.Qfcbplandetails;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * 抄表计划详情表；
 *
 * @author wangjieliu
 * @date Fri Nov 05 00:00:00 CST 2021
 */
public interface QfcbplandetailsService extends IService<Qfcbplandetails> {

    List<Map> downloadUserInfo();

    List<Map> getQyCollect(String isGeneral);

    List<Map> qydPlanCollect(String isGeneral, String qybm);

    IPage<AppRead> appDwonData(Page page , String isGeneral);

    void initCbData();

    /**
     * 抄表数据生成
     */
    boolean initData();

    void initCbDataByMonth(Integer month , String monthPlan);
    void initCbDataByHbByMonth(String monthPlan);
    void initFrontThreeDataByMonth(String monthPlan);

    void initCbDataByHb();

    void initFrontThreeData();

    void initFrontThreeYearData();

    void initFrontThreeYearDataByMonth(String monthPlan);

    List<ReadCollect> getOffline(String yearMonth, String cbry, String qybm, String qydbm, String isGeneral , HttpServletResponse respons, String templateFlag);

    IPage<AuditMap> getOfflineInfo(Page page, ReadSearch search , HttpServletResponse response);

    AppRead getOfflineByYhbh(String yearMonth, String yhbh, String isGeneral , Long cbryId , String soleSign);

    void savePlanBatch(List<Qfcbplandetails> detailsList);

    void savePlanCbryBatch(List<Qfcbplandetails> detailsList);

    Map appCollect(String isGeneral, String yearMonth);


    void initCbslEveyDay();

    AppRead queryOfflineByYhbh(String cbrq, String yhbh);
}
