/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.watermeter.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.watermeter.entity.Bwrktotal;
import com.tofly.watermeter.mapper.BwrktotalMapper;
import com.tofly.watermeter.service.BwrktotalService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 入库汇总表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Service("bwrktotalService")
public class BwrktotalServiceImpl extends ServiceImpl<BwrktotalMapper, Bwrktotal> implements BwrktotalService {

    @Override
    public IPage<Map> getSbKc(Page page, List<String> cjList, List<String> kjList, List<String> lxList) {
        return baseMapper.getSbKc(page,cjList , kjList , lxList);
    }
}
