/*
 * Author: zhoux
 * 生成entity
 */
package com.tofly.flow.dto;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;



/**
 * 表单数据
 *
 * @author zhoux
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@ApiModel
public class FormDataDto  {


        
        /**
	     * 表单模板名称
	     */
        @ApiModelProperty(value = "表单实例ID")
        private Long formId;
               
        /**
	     * 字段标识
	     */
        @ApiModelProperty(value = "字段标识")
        private String fieldName;
        
        
        /**
	     * 字段附件值
	     */
        @ApiModelProperty(value = "字段附件值")
        private String fieldValue;
                        


        
}