package com.tofly.flow.dto;

import java.util.List;
import com.tofly.flow.entity.ProcessInstanceNodeInfo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
public class ProcessInfoDto {
	
	
	@ApiModelProperty(value = "子系统id")
    private Long processTemplateId;
    
    /**
     * 流程目前所处节点
     */
    @ApiModelProperty(value = "流程目前所处节点")
    private String currentNode;
    
    /**
     * 流程目前所处节点序号
     */
    @ApiModelProperty(value = "流程目前所处节点序号")
    private Integer currentNodeSort;

    /**
     * 流程状态
     */
    @ApiModelProperty(value = "流程状态  1未配置完成， 2、运行中 、3 已拒绝 4已完成")
    private Integer processStatus;
    
    
    /**
     * 流程实例名称
     */
    @ApiModelProperty(value = "流程实例ID")
    private String processInstanceName;
    
    
    /**
     * 流程节点信息
     */
    @ApiModelProperty(value = "流程节点信息")
	public List<ProcessInstanceNodeInfo> processNodeInfos;
	
	
	
	

}
