package com.tofly.flow.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 表单实例
 *
 * @author zhoux
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_FORM_INSTANCE")
@KeySequence("TF_FORM_INSTANCE")
@ApiModel
public class FormInstance extends Model<FormInstance> {
    	private static final long serialVersionUID = 1L;

       /**
	     * $column.comments
	     */
        @TableId(value = "ID",type= IdType.INPUT)
    	@ApiModelProperty(value = "$column.comments")
        private Long id;
                        
       /**
	     * 表单模板ID
	     */
        @ApiModelProperty(value = "表单模板ID")
        private Long formTemplateId;

        

        

        
}