package com.tofly.flow.vo;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
public class ApprovalNodeInfoVo {
	
	@ApiModelProperty(value = "审批人ID")
	@NotNull(message ="审批人ID不能为空")
	public Long approvalPersonId;
	
	@ApiModelProperty(value = "审批人姓名")
	@NotNull(message ="审批人姓名不能为空")
	public String approvalPersonName;
	
	@ApiModelProperty(value = "流程实例ID")
	@NotNull(message ="流程实例ID不能为空")
	public Long processId;
	
	@ApiModelProperty(value = "流程节点别名")
	@NotNull(message ="流程节点别名不能为空")
	public String nodeAlias;
	
    @ApiModelProperty(value = "流程节点序号")
    @NotNull(message ="流程节点序号不能为空")
    private Integer nodeSortNum;
			
    @ApiModelProperty(value = "审批意见")
    private String approvalSuggest;
          
    @ApiModelProperty(value = "审批状态 1、审核通过  2回退  3拒绝")
    @NotNull(message ="审批状态不能为空")
    private Integer approvalStatus;
    
    @ApiModelProperty(value = "是否消息通知  1、消息通知 2、消息不通知")
    @NotNull(message ="是否消息通知不能为空")
    private Integer isMessagePush;
    
    @ApiModelProperty(value = "流程业务数据ID")
    @NotNull(message ="流程业务数据ID不能为空")
    private Long buinessInfoId;
    

            
        	
	

}
