package com.tofly.dispatch.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class DispatchOrderReplyQuery extends CommQuery{
    /**
     * 指令ID
     */
    @ApiModelProperty(value = "指令ID")
    private Long orderId;
    /**
     * 回复内容
     */
    @ApiModelProperty(value = "回复内容")
    private String replyContent;


}
