package com.tofly.dispatch.dto;

import com.tofly.dispatch.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
@EqualsAndHashCode
public class UpdateFolderTypeDto implements Serializable {


    /**
     * ID
     */
    @NotNull(message = FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "ID")
    private Long id;

    /**
     * 类型名称
     */
    @ApiModelProperty(value = "类型名称")
    private String folderName;
    /**
     * 类型CODE
     */
    @ApiModelProperty(value = "类型CODE")
    private String folderCode;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
}
