/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.dispatch.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.dispatch.entity.EmergencyFacilities;
import com.tofly.dispatch.vo.EmergencyFacilitiesVO;
import com.tofly.dispatch.entity.EmergencyFacilities;
import com.tofly.dispatch.vo.EmergencyFacilitiesVO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 事故设施
 *
 * @author xqf
 * @date Mon Apr 25 00:00:00 CST 2022
 */
public interface EmergencyFacilitiesMapper extends BaseMapper<EmergencyFacilities> {


    /**
     * 根据事故ID查询
     * @param emergencyId 事故ID
     * @return 事故设施列表
     */

    List<EmergencyFacilitiesVO> getListByEmergencyId(@Param("emergencyId") Long emergencyId);
}
