/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.dispatch.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.dispatch.dto.StaffQuery;
import com.tofly.dispatch.entity.Hazard;
import com.tofly.dispatch.entity.Staff;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;

import java.util.List;
/**
 * 应急人员
 *
 * @author admin
 * @date Wed Nov 09 00:00:00 CST 2022
 */
public interface StaffMapper extends BaseMapper<Staff> {
    Page<Staff> getPageData(Page page,@Param("qry") StaffQuery query);

    List<Staff> getListByEmergencyId(@Param("emergencyId") Long emergencyId);

}
