/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.dispatch.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.dispatch.dto.DispatchOrderDto;
import com.tofly.dispatch.dto.DispatchOrderQuery;
import com.tofly.dispatch.dto.DispatchOrderSendDto;
import com.tofly.dispatch.entity.DispatchOrder;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 指令管理
 *
 * @author admin
 * @date Fri Nov 11 00:00:00 CST 2022
 */
public interface DispatchOrderService extends IService<DispatchOrder> {


    boolean saveOrder(DispatchOrderDto dispatchOrderDto, List<MultipartFile> fileList,boolean isAdd);

    boolean sendOrder(DispatchOrderSendDto dispatchOrderSendDto);

    boolean acceptOrder(String ids, String orderState,String refuseReason);

    Page<DispatchOrder> getPageData(Page page, DispatchOrderQuery dispatchOrderQuery);

    boolean deleteByIds(String ids);
}
