/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.dispatch.service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.dispatch.entity.EmergencyFacilities;
import java.util.List;
import java.util.Set;

/**
 * 事故设施
 *
 * @author xqf
 * @date Mon Apr 25 00:00:00 CST 2022
 */
public interface EmergencyFacilitiesService extends IService<EmergencyFacilities> {

    /**
     * 根据事故id删除
     * @param emergencyIds 事故ID
     */
    void deleteEmergencyIds(Set<Long> emergencyIds);



}
