/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.dispatch.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.dispatch.entity.EmergencyHazard;

import java.util.List;
import java.util.Set;

/**
 * 事故危险源
 *
 * @author xqf
 * @date Mon Apr 25 00:00:00 CST 2022
 */
public interface EmergencyHazardService extends IService<EmergencyHazard> {



    /**
     * 批量-新增事故危险源
     * @param dtos
     */
    void batchInsert(List<EmergencyHazard> dtos);


    /**
     * 批量删除-事故危险源
     * @param emergencyId 事故ID
     */
    void deleteEmergencyId(Set<Long> emergencyId);




}
