package com.tofly.dispatch.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class DispatchInfoVo implements Serializable {
    /**
     * 站点名称
     */
    @ApiModelProperty("站点名称")
    private String siteName;

    /**
     * 0点入口
     */
    @ApiModelProperty("00:00")
    private Double iZero;
    /**
     * 0点出口
     */
    @ApiModelProperty("00:30")
    private Double oZero;
    /**
     * 1点入口
     */
    @ApiModelProperty("01:00")
    private Double iOne;
    /**
     * 1点出口
     */
    @ApiModelProperty("01:30")
    private Double oOne;
    /**
     * 2点入口
     */
    @ApiModelProperty("02:00")
    private Double iTwo;
    /**
     * 2点出口
     */
    @ApiModelProperty("02:30")
    private Double oTwo;
    /**
     * 3点入口
     */
    @ApiModelProperty("03:00")
    private Double iThree;
    /**
     * 3点出口
     */
    @ApiModelProperty("03:30")
    private Double oThree;
    /**
     * 4点入口
     */
    @ApiModelProperty("04:00")
    private Double iFour;
    /**
     * 4点出口
     */
    @ApiModelProperty("04:30")
    private Double oFour;
    /**
     * 5点入口
     */
    @ApiModelProperty("05:00")
    private Double iFive;
    /**
     * 5点出口
     */
    @ApiModelProperty("05:30")
    private Double oFive;
    /**
     * 6点入口
     */
    @ApiModelProperty("06:00")
    private Double iSix;
    /**
     * 6点出口
     */
    @ApiModelProperty("06:30")
    private Double oSix;
    /**
     * 7点入口
     */
    @ApiModelProperty("07:00")
    private Double iSeven;
    /**
     * 7点出口
     */
    @ApiModelProperty("07:30")
    private Double oSeven;
    /**
     * 8点入口
     */
    @ApiModelProperty("08:00")
    private Double iEight;
    /**
     * 8点出口
     */
    @ApiModelProperty("08:30")
    private Double oEight;
    /**
     * 9点入口
     */
    @ApiModelProperty("09:00")
    private Double iNine;
    /**
     * 9点出口
     */
    @ApiModelProperty("09:30")
    private Double oNine;
    /**
     * 10点入口
     */
    @ApiModelProperty("10:00")
    private Double iTen;
    /**
     * 10点出口
     */
    @ApiModelProperty("10:30")
    private Double oTen;
    /**
     * 11点入口
     */
    @ApiModelProperty("11:00")
    private Double iEleven;
    /**
     * 11点出口
     */
    @ApiModelProperty("11:30")
    private Double oEleven;
    /**
     * 12点入口
     */
    @ApiModelProperty("12:00")
    private Double iTwelve;
    /**
     * 12点出口
     */
    @ApiModelProperty("12:30")
    private Double oTwelve;
    /**
     * 13点入口
     */
    @ApiModelProperty("13:00")
    private Double iThirteen;
    /**
     * 13点出口
     */
    @ApiModelProperty("13:30")
    private Double oThirteen;
    /**
     * 14点入口
     */
    @ApiModelProperty("14:00")
    private Double iFourteen;
    /**
     * 14点出口
     */
    @ApiModelProperty("14:30")
    private Double oFourteen;
    /**
     * 15点入口
     */
    @ApiModelProperty("15:00")
    private Double iFifteen;
    /**
     * 15点出口
     */
    @ApiModelProperty("15:30")
    private Double oFifteen;
    /**
     * 16点入口
     */
    @ApiModelProperty("16:00")
    private Double iSixteen;
    /**
     * 16点出口
     */
    @ApiModelProperty("16:30")
    private Double oSixteen;
    /**
     * 17点入口
     */
    @ApiModelProperty("17:00")
    private Double iSeventeen;
    /**
     * 17点出口
     */
    @ApiModelProperty("17:30")
    private Double oSeventeen;
    /**
     * 18点入口
     */
    @ApiModelProperty("18:00")
    private Double iEighteen;
    /**
     * 18点出口
     */
    @ApiModelProperty("18:30")
    private Double oEighteen;
    /**
     * 19点入口
     */
    @ApiModelProperty("19:00")
    private Double iNineteen;
    /**
     * 19点出口
     */
    @ApiModelProperty("19:30")
    private Double oNineteen;
    /**
     * 20点入口
     */
    @ApiModelProperty("20:00")
    private Double iTwenty;
    /**
     * 20点出口
     */
    @ApiModelProperty("20:30")
    private Double oTwenty;
    /**
     * 21点入口
     */
    @ApiModelProperty("21:00")
    private Double iTwentyOne;
    /**
     * 21点出口
     */
    @ApiModelProperty("21:30")
    private Double oTwentyOne;
    /**
     * 22点入口
     */
    @ApiModelProperty("22:00")
    private Double iTwentyTwo;
    /**
     * 22点出口
     */
    @ApiModelProperty("22:30")
    private Double oTwentyTwo;
    /**
     * 23点入口
     */
    @ApiModelProperty("23:00")
    private Double iTwentyThree;
    /**
     * 23点出口
     */
    @ApiModelProperty("23:30")
    private Double oTwentyThree;
}
