package com.tofly.dispatch.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode
@ToString
public class DispatchTreeVo implements Serializable {

    @ApiModelProperty(value = "调度类型1:日常调度;2:开关阀/泵...")
    private Short dispatchType;

    @ApiModelProperty(value = "调度方案")
    private List<DispatchVo> vos;
}
