package com.tofly.filling.entity.car;

import com.tofly.filling.entity.Filling;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author HaiQiu
 * @since 2023/1/11
 */
@Data
@ApiModel(value = "用车记录填报")
public class UseCarDto extends Filling {

    @ApiModelProperty(value = "行车事由")
    private String drivingReasons;

    @ApiModelProperty(value = "出车时间")
    private String departureTime;

    @ApiModelProperty(value = "返回时间")
    private String returnTime;

    @ApiModelProperty(value = "行车前车辆情况")
    private String vehicleConditionBeforeDriving;

    @ApiModelProperty(value = "返回后车辆情况")
    private String vehicleConditionAfterDriving;

    @ApiModelProperty(value = "驾驶员")
    private String driver;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "填报日期")
    private String dateOfFilling;

    @ApiModelProperty(value = "填报人员")
    private String fillingPersonnel;
}
