package com.tofly.filling.entity.duty;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author HaiQiu
 * @since 2023/1/10
 */
@Data
@ApiModel(value = "加药记录")
public class DosingRecordDto {

    @ApiModelProperty(value = "聚氯化铝")
    private String polyaluminiumChloride;

    @ApiModelProperty(value = "二氧化氯")
    private String chlorineCioxide;

    @ApiModelProperty(value = "鬟氯化铝铁")
    private String aluminumFerricChloride;

    @ApiModelProperty(value = "漂白粉")
    private String bleachingPowder;

    @ApiModelProperty(value = "其他药品")
    private String otherDrugs;
}
