package com.tofly.filling.entity.duty;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author HaiQiu
 * @since 2023/1/10
 */
@Data
@ApiModel(value = "水位水量情况")
public class DutyWaterDto {
    @ApiModelProperty(value = "交接班时清水池水位")
    private String waterLevelOfCleanWaterTankAtShiftHandover;

    @ApiModelProperty(value = "交接班时出厂水浊度")
    private String turbidityOfFactoryWaterAtShiftHandover;

    @ApiModelProperty(value = "交接班时出厂水余氯")
    private String residualChlorineInFactoryWaterDuringShiftHandover;

    @ApiModelProperty(value = "当班进厂水量")
    private String waterInflowOnDuty;

    @ApiModelProperty(value = "当班生产水量")
    private String waterProductionOnDuty;

}
