package com.tofly.filling.mapper;


import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import com.tofly.filling.entity.Filling;

/**
 * 填报记录(Filling)表数据库访问层
 *
 * @author HaiQiu
 * @since 2023-01-10 11:39:02
 */
public interface FillingMapper extends BaseMapper<Filling> {

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<Filling> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<Filling> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<Filling> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<Filling> entities);

}

