package com.tofly.project.mapper;


import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import com.tofly.project.entity.ProjectRegistration;

/**
 * 工程登记(ProjectRegistration)表数据库访问层
 *
 * @author HaiQiu
 * @since 2022-11-14 11:56:46
 */
public interface ProjectRegistrationMapper extends BaseMapper<ProjectRegistration> {

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<ProjectRegistration> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<ProjectRegistration> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<ProjectRegistration> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<ProjectRegistration> entities);

}

