/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.stocks.mapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.stocks.dto.CheckTaskQuery;
import com.tofly.stocks.entity.CheckTask;
import com.tofly.stocks.vo.CheckDetailVo;
import com.tofly.stocks.vo.CheckTaskVo;
import org.apache.ibatis.annotations.Param;


import java.util.List;
/**
 * 库存盘点任务表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
public interface CheckTaskMapper extends BaseMapper<CheckTask> {
	
	
	public List<CheckTaskVo> getDataPage(Page page,@Param("query")CheckTaskQuery query);
	
	
	public List<CheckDetailVo> getCheckDetailsByTaskId(@Param("checkTaskId")Long checkTaskId);
	
	
	
	
}
