/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.stocks.mapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.stocks.dto.DeviceHandleInfoQuery;
import com.tofly.stocks.entity.DeviceHandleInfo;
import com.tofly.stocks.vo.DeviceHandleInfoVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 设备处置信息表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
public interface DeviceHandleInfoMapper extends BaseMapper<DeviceHandleInfo> {
	
	
	
	
    /**
     * 获取最大的设备处置单号
     * @param deviceHandleNo
     * @return
     */
    String getDeviceHandleMaxNo(@Param("deviceHandleNo") String deviceHandleNo);
    
    
    
     List<DeviceHandleInfoVo> getDataPage(Page page,@Param("deviceHandleInfoQuery")DeviceHandleInfoQuery deviceHandleInfoQuery);
	
	
}
