/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.stocks.mapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.pojo.Syschildcode;
import com.tofly.stocks.dto.DeviceInfoQuery;
import com.tofly.stocks.dto.DeviceInfoStoreQuery;
import com.tofly.stocks.entity.DeviceInfo;
import com.tofly.stocks.vo.DeviceInfoStoreVo;
import org.apache.ibatis.annotations.Param;
import java.math.BigDecimal;

import java.util.List;

/**
 * 物资设备信息表（包含物料、设备、药品）
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
public interface DeviceInfoMapper extends BaseMapper<DeviceInfo> {

   Page<DeviceInfoStoreVo> getDeviceStorelistPage(Page page, @Param("qry")DeviceInfoStoreQuery deviceInfoStoreQuery);
   List<Syschildcode> getDicByPcId(@Param("pcid") Long pcid);

   Page<DeviceInfo> getDataPage(Page page, @Param("qry") DeviceInfoQuery query);
}
