/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.stocks.mapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.stocks.dto.DeviceTransInfoQuery;
import com.tofly.stocks.entity.DeviceTransInfo;
import com.tofly.stocks.vo.DeviceTransInfoVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 设备转移信息表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
public interface DeviceTransInfoMapper extends BaseMapper<DeviceTransInfo> {
	
	
		
	public List<DeviceTransInfoVo> getDataPage(Page page,@Param("deviceTransInfoQuery")DeviceTransInfoQuery deviceTransInfoQuery);
	
}