/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.stocks.mapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.stocks.entity.Shelves;
import com.tofly.stocks.vo.ShelvesVo;
import org.apache.ibatis.annotations.Param;
import java.util.List;
import java.util.Map;
/**
 * 库存货架表
 *
 * @author zhoux
 * @date Fri Nov 25 00:00:00 CST 2022
 */
public interface ShelvesMapper extends BaseMapper<Shelves> {
	
	
	public List<ShelvesVo> getShelvesPage(Page page, @Param("queryMap") Map<String,Object> queryMap);

	
	public List<ShelvesVo> getShelves(@Param("queryMap") Map<String,Object> queryMap);	
	
}