/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.stocks.service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.stocks.dto.InstockInfoDto;
import com.tofly.stocks.dto.InstockInfoQuery;
import com.tofly.stocks.entity.InstockInfo;
import com.tofly.stocks.vo.InstockInfoVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 库存入库信息表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
public interface InstockInfoService extends IService<InstockInfo> {

    boolean saveInstockInfo(InstockInfoDto instockInfoDto, List<MultipartFile> files);

    boolean editInstockInfo(InstockInfoDto instockInfoDto, List<MultipartFile> files);

    boolean deleteByIds(String ids);

    Page<InstockInfoVo> getDataPage(Page page, InstockInfoQuery instockInfoQuery);
}
