/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.stocks.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.stocks.dto.OutstockInfoDto;
import com.tofly.stocks.dto.OutstockInfoQuery;
import com.tofly.stocks.entity.OutstockInfo;
import com.tofly.stocks.vo.OutstockInfoVo;
import org.springframework.web.multipart.MultipartFile;
import java.util.List;

/**
 * 库存出库信息表
 *
 * @author admin
 * @date Fri Nov 25 00:00:00 CST 2022
 */
public interface OutstockInfoService extends IService<OutstockInfo> {

    boolean saveOutstockInfo(OutstockInfoDto outstockInfoDto, List<MultipartFile> files);

    boolean editOutstockInfo(OutstockInfoDto outstockInfoDto, List<MultipartFile> files);

    boolean deleteByIds(String ids);

    Page<OutstockInfoVo> getDataPage(Page page, OutstockInfoQuery outstockInfoQuery);
}
