package com.tofly.stocks.vo;
import com.tofly.stocks.entity.CheckPlan;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
public class CheckPlanVo extends CheckPlan {
	
	
	 /**
     * 所在水厂
     */
    @ApiModelProperty(value = "所在水厂")
    private String waterworksName;
    
    
    /**
     * 盘点物资类别名称
     */
    @ApiModelProperty(value = "盘点物资类别名称")
    private String materialCategoryName;
    
    
    /**
     * 计划盘点仓库
     */
    @ApiModelProperty(value = "计划盘点仓库名称")
    private String storeName;
    
    
    /**
     * 计划盘点人员名称
     */
    @ApiModelProperty(value = "计划盘点人员名称")
    private String checkPlanUserName;
    

    /**
     * 计划制定人员名称
     */
    @ApiModelProperty(value = "计划制定人员名称")
    private String checkMakeUserName;


    /**
     * 盘点部门
     */
    @ApiModelProperty(value = "盘点部门")
    private String checkPlanDptName;

}
