package com.tofly.stocks.vo;
import com.tofly.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@ApiModel
@Data
@Accessors(chain = true)
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)

public class DeviceInfoExportVo {

    /**
     * 类别
     */
    @ApiModelProperty(value = "类别")
    @Excel(name = "类别")
    private String deviceTypeName;


    /**
     * 类型
     */
    @ApiModelProperty(value = "类型")
    @Excel(name = "类型")
    private String materialTypeName;


    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    @Excel(name = "名称")
    private String deviceName;


    /**
     * 规格型号
     */
    @ApiModelProperty(value = "规格型号")
    @Excel(name = "规格型号")
    private String deviceSpecsModel;

    /**
     * 单位
     */
    @ApiModelProperty(value = "单位")
    @Excel(name = "单位")
    private String deviceUnitName;



}
