package com.tofly.stocks.vo;
import com.tofly.stocks.entity.DeviceInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
public class DeviceInfoStoreVo extends DeviceInfo {

    /**
     * 库存id
     */
    @ApiModelProperty(value = "库存id")
    private Long stockInfoId;

    /**
     * 设备Id
     */
    @ApiModelProperty(value = "设备Id")
    private Long deviceId;


    /**
     * 当前库存
     */
    @ApiModelProperty(value = "当前库存")
    private Double stockNum;

    /**
     * 入库数量
     */
    @ApiModelProperty(value = "入库数量")
    private Double instockTotalNum;

    /**
     * 出库数量
     */
    @ApiModelProperty(value = "出库数量")
    private Double outstockTotalNum;
    /**
     * 使用数量
     */
    @ApiModelProperty(value = "使用数量")
    private Double usestockTotalNum;


    /**
     * 盘点数量
     */
    @ApiModelProperty(value = "盘点数量")
    private Double inventoryNum;


    /**
     * 仓库id
     */
    @ApiModelProperty(value = "仓库id")
    private Long storeId;

    /**
     * 仓库名称
     */
    @ApiModelProperty(value = "仓库名称")
    private String storeName;

    /**
     * 货架id
     */
    @ApiModelProperty(value = "货架id")
    private Long shelvesId;

    /**
     * 货架编号
     */
    @ApiModelProperty(value = "货架编号")
    private String shelvesNo;

    /**
     * 水厂id
     */
    @ApiModelProperty(value = "水厂id")
    private Long waterworksId;

    /**
     * 水厂名称
     */
    @ApiModelProperty(value = "水厂名称")
    private String waterworksName;








}
