package com.tofly.stocks.vo;
import com.tofly.stocks.entity.InstockInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.List;

@Data
public class InstockInfoVo extends InstockInfo {

    /**
     * 入库明细数据
     */
    @ApiModelProperty(value = "入库明细数据")
    public List<InstockDetailVo> instockDetailVos;

    /**
     * 仓库名称
     */
    @ApiModelProperty(value = "仓库名称")
    private String storeName;

    /**
     * 水厂名称
     */
    @ApiModelProperty(value = "水厂名称")
    private String waterworksName;


    /**
     * 入库人
     */
    @ApiModelProperty(value = "入库人")
    private String instockUserName;



}
