package com.tofly.stocks.vo;
import com.tofly.stocks.entity.Shelves;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.List;

@Data
@ApiModel
public class ShelvesVo extends Shelves {

    /**
     * 货架所属仓库名称
     */
    @ApiModelProperty(value = "货架所属仓库名称")
    public String storeName;
    
    
    /**
     * 货架所属水厂名称
     */
    @ApiModelProperty(value = "货架所属水厂名称")
    public String waterworksName;
    
    
    /**
     * 仓库管理员姓名
     */
    @ApiModelProperty(value = "仓库管理员姓名")
    public String storeManagerUserName;
    

    
    /**
     * 仓库是否启用
     */
    @ApiModelProperty(value = "仓库是否启用,0否，1是")
    public String storeEnable;
    
    
    
    
    
}
