package com.tofly.base.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;


/**
 * 系统公用配置文件
 * @author zhoux
 *
 */
@Component
@ConfigurationProperties(prefix = "config")
@Data
public class ConfigProperty {

	//文件上传地址
	private String uploadPath;
	
	//系统部署操作系统
	private String operateOS;
			
}
