package com.tofly.base.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "lc")
@RefreshScope
public class ToflyUserMananageConfig {
    private String loginUserInfo;
}
