/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.base.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 项目基本信息表
 *
 * @author wangjian
 * @date Tue Mar 24 00:00:00 CST 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_SMPN_PROJECTINFO_X",resultMap = "projectinfoMap")
@KeySequence("TF_SMPN_PROJECTINFO_X")
@ApiModel
public class Projectinfo extends Model<Projectinfo> {
    private static final long serialVersionUID = 1L;

        /**
     * 主键，ID
     */
        @TableId(value = "ID",type= IdType.INPUT)
        @ApiModelProperty(value = "主键，ID")
                private Long id;
            /**
     * 项目名称
     */
        @ApiModelProperty(value = "项目名称")
                private String projectName;
            /**
     * 项目logo
     */
        @ApiModelProperty(value = "项目logo")
                private String projectLogo;
            /**
     * 项目说明
     */
        @ApiModelProperty(value = "项目说明")
                private String projectInfo;
            /**
     * 电话
     */
        @ApiModelProperty(value = "电话")
                private String tel;
        
}
