/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.base.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * ${comments}
 *
 * @author fcl
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_SMPN_USER_ASCRIPTION", resultMap = "userParentMap")
@KeySequence("TF_SMPN_USER_ASCRIPTION")
@ApiModel
public class UserAscription extends Model<UserAscription> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    private Long id;
    @ApiModelProperty(value = "上级用户id")
    private Long parentUserId;
    @TableField(exist = false)
    private String parentUserLonginName;
    @TableField(exist = false)
    private String parentUserIdName;
    @ApiModelProperty(value = "用户id")
    private Long userId;
    @TableField(exist = false)
    private String userIdName;
    @TableField(exist = false)
    private String userLonginName;

}
