package com.tofly.base.entity.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.tofly.common.core.annotation.Excel;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author fcl
 * @date 2021/4/26 20:15
 */
@Data
public class DepartMentBathDTO {

    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
    @TableField(condition = ToflySqlCondition.LIKE)
    @Excel(name = "username")
    private String username;
    /**
     * 密码
     */
    @ApiModelProperty(value = "密码")
    @Excel(name = "password")
    private String password;
    /**
     * 随机数
     */
    @ApiModelProperty(value = "随机数")
    private String salt;
    /**
     * 电话
     */
    @ApiModelProperty(value = "电话")
    @Excel(name = "phone")
    private String phone;
    /**
     * 头像
     */
    @ApiModelProperty(value = "头像")
    private String avatar;
    /**
     * 部门ID
     */
    @ApiModelProperty(value = "部门ID")
    @Excel(name = "departmentId")
    private Long departmentId;
}
