/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.base.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.base.entity.Department;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * 部门表
 *
 * @author admin
 * @date Thu Oct 10 00:00:00 CST 2019
 */
public interface DepartmentService extends IService<Department> {
    List<Map> listSourceByDept(Long departmentId);
    List<Department> subList(Long id, String returnSelf);

    Object uploadBatchDepartment(MultipartFile file) throws Exception;

}
