package com.tofly.dc.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 接口监控返回统计
 */
@Data
public class InterfaceMonitoringVo implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "接口名称")
    private String name;
    @ApiModelProperty(value = "接口URL")
    private String url;
    @ApiModelProperty(value = "接口类型(1.POST,2GET,3PUT,4DELETE)")
    private String type;
    @ApiModelProperty(value = "接口类型转义(1.POST,2GET,3PUT,4DELETE)")
    private String typeName;
    @ApiModelProperty(value = "归属系统(0GIS,1MIS)")
    private String ownershipSystem;
    @ApiModelProperty(value = "归属系统转义(0GIS,1MIS)")
    private String ownershipSystemName;
    @ApiModelProperty(value = "归属业务模块(0用户1综合展示2营销3DMA分区)")
    private String ownershipBusiness;
    @ApiModelProperty(value = "归属业务模块转义(0用户1综合展示2营销3DMA分区)")
    private String ownershipBusinessName;
    @ApiModelProperty(value = "访问次数")
    private Long totalNum;
    @ApiModelProperty(value = "总时长(mm)")
    private Long totalTime;
    @ApiModelProperty(value = "异常次数")
    private Long errorNum;
    @ApiModelProperty(value = "正常次数")
    private Long successfulNum;
}
