package com.tofly.dc.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 系统监控返回统计
 */
@Data
public class SysMonitoringVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "归属系统(0GIS,1MIS)")
    private String ownershipSystem;
    @ApiModelProperty(value = "归属系统转义(0GIS,1MIS)")
    private String ownershipSystemName;
    @ApiModelProperty(value = "访问次数")
    private Long totalNum;
    @ApiModelProperty(value = "总时长(mm)")
    private Long totalTime;
    @ApiModelProperty(value = "异常次数")
    private Long errorNum;
    @ApiModelProperty(value = "正常次数")
    private Long successfulNum;
}
