package com.tofly.xrtygis;


import com.tofly.baseapi.config.ToflyWebColudApplication;
import com.tofly.common.oauth.feign.ToflyFeignClientInterceptor;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.autoconfigure.jdbc.DataSourceTransactionManagerAutoConfiguration;
import org.springframework.cloud.openfeign.EnableFeignClients;


@ToflyWebColudApplication
@EnableFeignClients(basePackages ={"com.tofly.api","com.tofly.xrtygis"},defaultConfiguration = {ToflyFeignClientInterceptor.class})
@SpringBootApplication(exclude={
        DataSourceAutoConfiguration.class,
        DataSourceTransactionManagerAutoConfiguration.class,
})
public class XrtyGisApplication {

    public static void main(String[] args) {
        SpringApplication.run(XrtyGisApplication.class, args);
    }

}
