package com.tofly.xrtygis.custom.entity.ImportDto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class IndexPlanDto {
    /**
     * 年月，如2021-01
     */
    @ApiModelProperty(value = "年份")
    private String year;
    @ApiModelProperty(value = "月份")
    private String month;
    /**
     * 制水PAM（kg）
     */
    @ApiModelProperty(value = "制水PAM（kg）")
    private Double pam;
    /**
     * 粉碳（kg）
     */
    @ApiModelProperty(value = "粉碳（kg）")
    private Double ft;
    /**
     * 次钠（kg）
     */
    @ApiModelProperty(value = "次钠（kg）")
    private Double cn;
    /**
     * 高锰酸钾复合盐（kg）
     */
    @ApiModelProperty(value = "高锰酸钾复合盐（kg）")
    private Double gmsjfhy;
    /**
     * 污泥PAM（kg）
     */
    @ApiModelProperty(value = "污泥PAM（kg）")
    private Double pamWn;
    /**
     * 冰醋酸（kg）
     */
    @ApiModelProperty(value = "冰醋酸（kg）")
    private Double bcs;
    /**
     * 污泥转量（m³）
     */
    @ApiModelProperty(value = "污泥转量（m³）")
    private Double wnzl;
    @ApiModelProperty("其他")
    private Double other;
}
