package com.tofly.xrtygis.custom.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

@AllArgsConstructor
@NoArgsConstructor
@Getter
@Setter
public class WaterHistory implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    private String ID;
    @ApiModelProperty(value = "用户编号")
    private String YHBH;
    @ApiModelProperty(value = "财务月份")
    private String CWYF;
    @ApiModelProperty(value = "用水量")
    private long YSL;
    @ApiModelProperty(value = "抄收日期")
    private Date CSRQ;
}






