package com.tofly.xrtygis.custom.entity.dma;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author FlashWJL
 * @date 2021/5/26 17:14
 */
@Data
public class CostomWarn {

    @ApiModelProperty(value = "id")
    private Long id ;

    @ApiModelProperty(value = "1：夜间最小流量异常处理；2：总分水量差异常处理")
    private String warnType;

    @ApiModelProperty(value = "派单状态(0=待派单，1=不派单，2=已派单）")
    private String ishandle;

    @ApiModelProperty(value = "导出；1")
    private String tempLate;

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
}
