package com.tofly.xrtygis.custom.entity.gs;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.xrtygis.entity.Dutyroster;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 供水热线排班实体类
 * @author FlashWJL
 * @date 2021/5/17 14:35
 */
@Data
public class GsBean {

    @ApiModelProperty(value = "排班类型;0，服务热线，1,调度管理系统")
    private String dutyType;

    @ApiModelProperty(value = "白班工作人员,多个以,分隔")
    private String daytimeUser;
//    @ApiModelProperty(value = "夜班ID")
    @ApiModelProperty(value = "夜班工作人员,多个以,分隔")
    private String nightUser;
    @ApiModelProperty(value = "中班工作人员,多个以,分隔")
    private String noonUser;
    @ApiModelProperty(value = "工作日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date dutyDate;


}
