package com.tofly.xrtygis.custom.entity.gs;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author FlashWJL
 * @date 2021/6/23 17:56
 */
@Data
public class NoteSearch {

    @ApiModelProperty(value = "状态；0：待发；1：成功；2：失败")
    private String state;
    @ApiModelProperty(value = "输入框内容")
    private String inputContent;
    @ApiModelProperty(value = "开始日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    @ApiModelProperty(value = "结束日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    @ApiModelProperty(value = "需要发送短信的客户编号，多个用逗号隔开")
    private String clientId;
    @ApiModelProperty(value = "发送的短信模板内容")
    private String temp;
    @ApiModelProperty(value = "ID")
    private Long id;



}
