package com.tofly.xrtygis.custom.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author 20126
 */
public interface PricePlanMapper {

    /**
     * 查询最大时间
     *
     * @return map
     */
    List<Map<String, Object>> selectMaxTime();

    /**
     * 查询单价历史
     *
     * @param page  page
     * @param year  年份
     * @param start 开始时间
     * @param end   结束时间
     * @return page
     */
    Page<Map> getPriceHistory(Page page, @Param("year") String year, @Param("start") String start, @Param("end") String end);
}
