/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 管线节点与客户编号的关系信息表
 *
 * @author admin
 * @date Fri May 28 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_PIPELINKTABLE_W", resultMap = "pipelinktableMap")
@KeySequence("TF_YWPN_PIPELINKTABLE_W")
@ApiModel
public class Pipelinktable extends Model<Pipelinktable> {
    private static final long serialVersionUID = 1L;

    /**
     * 管线编号
     */
    @TableId(value = "PIPE_SID", type = IdType.INPUT)
    @ApiModelProperty(value = "管线编号")
    private String pipeSid;
    /**
     * 客户编号
     */
    @ApiModelProperty(value = "客户编号")
    private String tableId;

}
