/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 热线工单备注信息表
 *
 * @author admin
 * @date Tue Dec 07 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWPN_RXGDBZINFO_W",resultMap = "rxgdbzinfoMap")
@KeySequence("TF_YWPN_RXGDBZINFO_W")
@ApiModel
public class Rxgdbzinfo extends Model<Rxgdbzinfo> {
    private static final long serialVersionUID = 1L;

        /**
     * id
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "id")
                private Long id;
                /**
     * 工单编号
     */
            @ApiModelProperty(value = "工单编号")
                private String gdbh;
                /**
     * 工单类型
     */
            @ApiModelProperty(value = "工单类型")
                private Long gdlx;
                /**
     * 处置情况
     */
            @ApiModelProperty(value = "处置情况")
                private String czqk;
                /**
     * 工单备注
     */
            @ApiModelProperty(value = "工单备注")
                private String gdbz;
                /**
     * $column.comments
     */
            @ApiModelProperty(value = "$column.comments")
            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
            private Long createUser;
            @ApiModelProperty(hidden = true)
    private String createUserName;
            /**
     * $column.comments
     */
            @ApiModelProperty(value = "$column.comments")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
            private Date createTime;
            
}
