/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 视点管理
 *
 * @author JF
 * @date Tue May 10 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_VIEW_POINT_MANAGE",resultMap = "tfViewPointManageMap")
@KeySequence("TF_VIEW_POINT_MANAGE")
@ApiModel
public class TfViewPointManage extends Model<TfViewPointManage> {
    private static final long serialVersionUID = 1L;

        /**
     * 主键ID
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "主键ID")
                private Long id;
                /**
     * 创建人
     */
            @ApiModelProperty(value = "创建人")
//            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
            private Long createUser;
            @ApiModelProperty(hidden = true)
    private String createUserName;
            /**
     * 创建时间
     */
            @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
            private Date createTime;
                /**
     * 视点编号
     */
            @ApiModelProperty(value = "视点编号")
                private String code;
                /**
     * 视点名称
     */
            @ApiModelProperty(value = "视点名称")
                private String name;
                /**
     * 视点图片
     */
            @ApiModelProperty(value = "视点图片")
                private String photo;
                /**
     * 排序号
     */
            @ApiModelProperty(value = "排序号")
                private String orderCode;
                /**
     * 视点Json对象
     */
            @ApiModelProperty(value = "视点Json对象")
                private String viewJson;
            
}
