package com.tofly.xrtygis.entity.dto;

import com.tofly.xrtygis.entity.TfPublicLeakageInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 公众参与统计管理
 *
 * @author JF
 */
@Data
public class TfPublicLeakageInfoDto extends TfPublicLeakageInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 分区级别
    @ApiModelProperty(value = "分区级别")
    private String partitionLevel;
     */

    /**
     * 当前年
     */
    @ApiModelProperty(value = "当前年")
    private String currentYearDate;

    /**
     * 当前季度
     */
    @ApiModelProperty(value = "当前季度")
    private String currentQuarterDate;

    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    private String startDate;

    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    private String endDate;

}
