package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class DmaCalculatePramVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "分区id")
    private Long dmaId;
    @ApiModelProperty(value = "用户用水量")
    private BigDecimal userWaterConsumption;
    @ApiModelProperty(value = "设备类型 0入口 1出口")
    private String isOut;
    @ApiModelProperty(value = "scada供水量")
    private BigDecimal waterSupply;
    @ApiModelProperty(value = "远传表供水量")
    private BigDecimal remoteWaterSupply;
    @ApiModelProperty(value = "大于等于D75管线长度(km)")
    private BigDecimal dNLength;
    @ApiModelProperty(value = "管线年平均压力")
    private BigDecimal yearPressure;
    @ApiModelProperty(value = "用户用水量")
    private BigDecimal userWater;
    @ApiModelProperty(value = "处漏数量")
    private BigDecimal leakageOverVal;
    @ApiModelProperty(value = "漏点数量")
    private BigDecimal leakageVal;
}
