package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 首页-管网 当月巡检统计情况
 * @author BZ-DJJ
 */
@Data
public class InspectionStatisticalVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("隐患总数")
    private BigDecimal totalTrouble;
    @ApiModelProperty("消除隐患数")
    private BigDecimal completedTrouble;
    @ApiModelProperty("剩余隐患数")
    private BigDecimal unfinishedTrouble;
    @ApiModelProperty("隐患完成率")
    private BigDecimal troubleRate;
    @ApiModelProperty("监护工地数")
    private BigDecimal totalBuild;
    @ApiModelProperty("已监护结束的工地数")
    private BigDecimal completedBuild;
    @ApiModelProperty("未监护结束工地数")
    private BigDecimal unfinishedBuild;
    @ApiModelProperty("工地监护完成率")
    private BigDecimal buildRate;
    @ApiModelProperty("抢维修任务数")
    private BigDecimal totalOrder;
    @ApiModelProperty("已完成抢维修任务数")
    private BigDecimal completedOrder;
    @ApiModelProperty("未完成抢维修任务数")
    private BigDecimal unfinishedOrder;
    @ApiModelProperty("抢维修完成率")
    private BigDecimal orderRate;

}
