package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 首页-生产运营 一厂 关键指标(当前最新数据)
 * @author BZ-DJJ
 */
@Data
public class OneFactoryKeyIndexStatisticalVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("取水量")
    private BigDecimal waterSupplyValue;

    @ApiModelProperty("供水量")
    private BigDecimal waterIntakingValue;

    @ApiModelProperty("出厂水压")
    private BigDecimal sy;

    @ApiModelProperty("余氯")
    private BigDecimal yl;

    @ApiModelProperty("浊度1-8")
    private BigDecimal zd1;

    @ApiModelProperty("浊度9-12")
    private BigDecimal zd2;

    @ApiModelProperty("浊度13-16")
    private BigDecimal zd3;

    @ApiModelProperty("PAC")
    private BigDecimal pac;

    @ApiModelProperty("食盐")
    private BigDecimal sydh;

    @ApiModelProperty("治水电耗")
    private BigDecimal dh;
}
