package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 首页-营销 水表数（条形图）入库总数、出库数、库存数
 * @author BZ-DJJ
 */
@Data
public class WaterMeterNumberVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("入库总数")
    private BigDecimal totalWaterMeterNumber;
    @ApiModelProperty("水表出库数")
    private BigDecimal waterMeterOutboundNumber;
    @ApiModelProperty("水表未出库数")
    private BigDecimal notWaterMeterOutboundNumber;

    @ApiModelProperty("出库数")
    private BigDecimal outboundNumber;
    @ApiModelProperty("安装数")
    private BigDecimal installationNumber;
    @ApiModelProperty("退库数")
    private BigDecimal withdrawingNumber;

    @ApiModelProperty("移交总数")
    private BigDecimal totalTransferNumber;
    @ApiModelProperty("移交旧表数(旧表移交算报废)")
    private BigDecimal oldTransferNumber;
    @ApiModelProperty("移交新表数")
    private BigDecimal newTransferNumber;

    @ApiModelProperty("抽检总数")
    private BigDecimal totalSamplingNumber;
    @ApiModelProperty("抽检故障表数")
    private BigDecimal faultSamplingNumber;
    @ApiModelProperty("周检表抽检数")
    private BigDecimal weeklyNumber;


}
