package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 根据管线查询用户列表信息
 */
@Data
public class WaterStopAreaInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户编号")
    private String userCode;
    @ApiModelProperty(value = "用户姓名")
    private String userName;
    @ApiModelProperty(value = "水表编号")
    private String waterMeterCode;
    @ApiModelProperty(value = "用户地址")
    private String userAddress;
    @ApiModelProperty(value = "联系电话")
    private String contactNumber;
    @ApiModelProperty(value = "抄表片区")
    private String meterReadingArea;
    @ApiModelProperty(value = "抄表本")
    private String meterReadingBook;
    @ApiModelProperty(value = "关联管线id")
    private String pipeSid;
    @ApiModelProperty(value = "总表x")
    private BigDecimal x;
    @ApiModelProperty(value = "总表y")
    private BigDecimal y;


}
