/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.xrtygis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.custom.entity.gs.AddressBook;
import com.tofly.xrtygis.entity.Rxsmstxlx;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * 热线短信通讯类型表（模板表）
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
public interface RxsmstxlxMapper extends BaseMapper<Rxsmstxlx> {
    IPage<Map> getBook(Page page, @Param("book") AddressBook addressBook);

    boolean updateBook(@Param("userId") Long userId, @Param("phone") String phone);
}
