/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtygis.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.xrtygis.custom.entity.dma.ImportExDuty;
import com.tofly.xrtygis.entity.Dutyroster;

import java.util.List;

/**
 * 人员排班信息表：TF_YWPN_DUTYROSTER_W
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
public interface DutyrosterService extends IService<Dutyroster> {

    List<Dutyroster> getByMonth(String month , Long user,String dutyType);

    List<String> getNightPersonByDay(String day, String workTime);

    String getPhoneByUserId(Long userId);

    Long getMaxId();

    boolean saveDutyrosters(List<ImportExDuty> ips);
}
