/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.xrtygis.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.tofly.xrtygis.entity.AbnormalWaterConfig;
import com.tofly.xrtygis.mapper.AbnormalWaterConfigMapper;
import com.tofly.xrtygis.service.AbnormalWaterConfigService;
import org.springframework.stereotype.Service;


/**
 * 分析用户用水量配置表
 *
 * @author admin
 * @date Thu Jul 28 00:00:00 CST 2022
 */
@Service("abnormalWaterConfigService")
public class AbnormalWaterConfigServiceImpl extends ServiceImpl<AbnormalWaterConfigMapper, AbnormalWaterConfig> implements AbnormalWaterConfigService {

    @Override
    public AbnormalWaterConfig getConfig() {
        return this.list().get(0);
    }

    @Override
    public boolean updateConfig(AbnormalWaterConfig waterConfig) {
        return this.updateById(waterConfig);
    }
}
