/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.xrtygis.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.xrtygis.entity.Dmaandcbb;
import com.tofly.xrtygis.service.DmaandcbbService;
import org.springframework.stereotype.Service;
import com.tofly.xrtygis.mapper.DmaandcbbMapper;

import java.util.List;

/**
 * DMA分区与抄表本关系表
 *
 * @author wangjieliu
 * @date Wed May 26 00:00:00 CST 2021
 */
@Service("dmaandcbbService")
public class DmaandcbbServiceImpl extends ServiceImpl<DmaandcbbMapper, Dmaandcbb> implements DmaandcbbService {

    @Override
    public boolean insertBatch(List<Dmaandcbb> dmaandcbbList) {
        return baseMapper.insertBatch(dmaandcbbList);
    }
}
