/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.xrtygis.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.xrtygis.custom.entity.gs.AddressBook;
import com.tofly.xrtygis.entity.Rxsmstxlx;
import com.tofly.xrtygis.service.RxsmstxlxService;
import org.springframework.stereotype.Service;
import com.tofly.xrtygis.mapper.RxsmstxlxMapper;

import java.util.Map;

/**
 * 热线短信通讯类型表（模板表）
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Service("rxsmstxlxService")
public class RxsmstxlxServiceImpl extends ServiceImpl<RxsmstxlxMapper, Rxsmstxlx> implements RxsmstxlxService {

    @Override
    public IPage<Map> gteBook(Page page, AddressBook addressBook) {
        return baseMapper.getBook(page,addressBook);
    }

    @Override
    public boolean updateBook(Long userId, String phone) {
        return baseMapper.updateBook(userId , phone);
    }
}
