package com.tofly.es.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author tuonbed
 * @date 2020/5/18  9:39
 */
@Data
public class EsCarGpsUploadQueryDto {

    @ApiModelProperty(value = "车辆ID")
    private Long carId;

    @ApiModelProperty(value = "gpsTime开始时间")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "gpsTime结束时间")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "0：人巡 1：车巡")
    private Long gpsType;

    @ApiModelProperty(value = "排序默认倒序，true为正序")
    private Boolean orderAsc;
}
