package com.tofly.es.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class UserGpsSearchDto {

    @ApiModelProperty(value = "查询起始日期-默认当天[选填]yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startDate;

    @ApiModelProperty(value = "查询结束日期[选填]yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endDate;

    @ApiModelProperty(value = "用户唯一编码[选填]")
    private Long userId;

    @ApiModelProperty(value = "0:无效 1：有效[选填]")
    private String isValid;

    @ApiModelProperty(value = "分段数[可填]")
    private BigDecimal section;

}
