/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.build.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 工地类型信息表
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@ApiModel
public class BuildtypeVo extends Model<BuildtypeVo> {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一标识编号
     */
    @ApiModelProperty(value = "唯一标识编号")
    private Long id;
    /**
     * 工地类型（代建工地、外部施工工地）
     */
    @ApiModelProperty(value = "工地类型（代建工地、外部施工工地）")
    private String name;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String notes;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
