/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.build.vo.detail;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.pojo.build.Build;
import com.tofly.pojo.build.vo.BuildVo;
import com.tofly.pojo.build.vo.BulidclearVo;
import com.tofly.pojo.plan.Planchild;
import com.tofly.pojo.plan.vo.PlanchildVo;
import com.tofly.pojo.plan.vo.RecordVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


/**
 * 工地监护详情
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@ApiModel
public class BuildDetailVo extends Model<BuildDetailVo> {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "当前对应-子计划信息")
    private List<Planchild> planchildVoList;

    @ApiModelProperty(value = "工地监护结束申请信息")
    private List<BulidclearVo> bulidclearVoList;

    @ApiModelProperty(value = "工地巡查记录信息")
    private List<RecordVo> recordVoList;

    @ApiModelProperty(value = "工地监护派工信息")
    private BuildDispatchingVo buildDispatchingVo;

    @ApiModelProperty(value = "工地信息")
    private Build buildVo;

}
