/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.build.vo.detail;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 工地监护审核
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@ApiModel
public class BuildEliminationAuditVo extends Model<BuildEliminationAuditVo> {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;

    @ApiModelProperty(value = "0：未审核；1：通过；2：未通过")
    private String auditResult;

    @ApiModelProperty(value = "审核意见")
    private String auditNotes;
}
