/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.plan.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 巡检计划详细信息表：TF_YWPN__PLAN_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@ApiModel
public class PlanYearReportVo {

    /**
     * 巡检总公里数
     */
    @ApiModelProperty(value = "巡检总公里数（米）")
    private Double totalLength;

    /**
     * 巡查次数
     */
    @ApiModelProperty(value = "巡检次数")
    private Integer totalCount;


    /**
     * 巡查已完成次数
     */
    @ApiModelProperty(value = "已完成巡检次数")
    private Integer totalFinish;

    /**
     * 隐患总数
     */
    @ApiModelProperty(value = "隐患总数")
    private Integer totalTrouble;

    /**
     * 巡查人员数量
     */
    @ApiModelProperty(value = "巡查人员数量")
    private Integer totalUserCount;

    /**
     * 总工单数量
     */
    @ApiModelProperty(value = "总工单数量")
    private Integer totalGdCount;


}
