package com.tofly.pojo.rushrepair.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author sunjian
 * @date 2023/4/17
 */
@Data
@ApiModel
public class RushrepairAndMaterialDto extends Model<RushrepairAndMaterialDto> {
    private static final long serialVersionUID = 1L;

    /**
     * 材料单价
     */
    @ApiModelProperty(value = "材料单价")
    private String materialPrice;
    /**
     * 材料单位
     */
    @ApiModelProperty(value = "材料单位")
    private String materialUnit;
    /**
     * 材料数量
     */
    @ApiModelProperty(value = "材料数量")
    private Long materialNumber;
    /**
     * 材料金额
     */
    @ApiModelProperty(value = "材料金额")
    private String materialMoney;

    /**
     * 材料名称
     */
    @ApiModelProperty(value = "材料名称")
    private String materialName;
    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 材料id 关联表 TF_YWPN_RUSHREPAIRMATERIAL_D
     */
    @ApiModelProperty(value = "材料id 关联表 TF_YWPN_RUSHREPAIRMATERIAL_D")
    private Long materialId;

}
