package com.tofly.pojo.statement.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 巡检月报计算存储
 *
 * @author BZ-DJJ
 */
@Data
public class InspectionMonthChildVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "计划id")
    private Long planId;

    @ApiModelProperty(value = "总点数，用于计算完成率")
    private BigDecimal totalCount;

    @ApiModelProperty(value = "记录计划任务情况（点是个数，线是长度）")
    private BigDecimal totalLength;

    @ApiModelProperty(value = "完成点数")
    private BigDecimal overCount;

    @ApiModelProperty(value = "完成长度")
    private BigDecimal overLength;

}
