package com.tofly.pojo.statement.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 维护分类统计
 * @author BZ-DJJ
 */
@Data
public class MaintenanceClassificationVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "条件")
    private String conditions;

    @ApiModelProperty(value = "工单数量")
    private Integer orderNum;

    @ApiModelProperty(value = "开始口径")
    private String startBore;

    @ApiModelProperty(value = "结束口径")
    private String endBore;

    @ApiModelProperty(value = "养护数量")
    private Integer mfNum;

    @ApiModelProperty(value = "维修类型")
    private String typeId;
}
