package com.tofly.gpsboot.common.system;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.springframework.util.StringUtils;

/**
 * 抢修 是否自动处理
 * @author sunjian
 * @date 2023/3/30
 */
@Getter
@AllArgsConstructor
public enum RushRepairNoProcessEnum {
    /**
     *
     */
    RUSHREPAIR_NORMAL_PROCESS("0", "安全运维部审核"),

    RUSHREPAIR_NO_HANDLE("1", "部门归档审核"),


    ;
    ;
    /**
     * 编码
     */
    private String code;
    /**
     * 内容
     */
    private String value;
    public static String getCodeForValue(String code) {
        String path = "";
        if (StringUtils.isEmpty(code)) {
            return path;
        }

        for (RushRepairNoProcessEnum e : RushRepairNoProcessEnum.values()) {
            if (e.code.equalsIgnoreCase(code)) {
                path = e.value;
                break;
            }
        }
        return path;
    }
}
