/*
 * Author: Zev
 * 生成mapper
 */
package com.tofly.gpsboot.mapper.build;



import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.tofly.pojo.build.Build;
import com.tofly.pojo.statement.dto.StatementDto;
import com.tofly.pojo.statics.dto.StaticsQueryDto;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * 工地监护上报信息表
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
public interface BuildMapper extends BaseMapper<Build> {
    @Select("SELECT DATE_FORMAT(create_time, '%Y%m') month ,count(1) total  from TF_YWPN_BUILD_W ${ew.customSqlSegment} ")
    public List<Map<String,Integer>> staticsDataOverMonth(StaticsQueryDto staticsQueryDto, @Param(Constants.WRAPPER) QueryWrapper<StatementDto> queryWrapper);


}
