/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.gpsboot.mapper.maintain;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.tofly.pojo.maintain.Repairrecord;
import com.tofly.pojo.maintain.vo.datail.RepairOrderRecordInfoVo;
import com.tofly.pojo.statement.dto.StatementDto;
import com.tofly.pojo.statics.dto.StaticsQueryDto;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;


import java.util.List;
import java.util.Map;

/**
 * 抢维修处理记录表
 *
 * @author admin
 * @date Tue Apr 06 00:00:00 CST 2021
 */
public interface RepairrecordMapper extends BaseMapper<Repairrecord> {
    /**
     * 根据抢维修id获取抢维修处理记录
     * @param id
     * @return
     */
    List<RepairOrderRecordInfoVo> getRepairRecordInfo(@Param("id") Long id);

    @Select("SELECT DATE_FORMAT(create_time, '%Y%m') month ,count(1) total from TF_YWPN_REPAIRRECORD_W ${ew.customSqlSegment} ")
    public List<Map<String,Integer>> staticsDataOverMonth(StaticsQueryDto staticsQueryDto, @Param(Constants.WRAPPER) QueryWrapper<StatementDto> queryWrapper);

}
