package com.tofly.gpsboot.service;

import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @ClassName: BaseService
 * @Description: 基础服务
 * @Author Zev
 * @Date 2021/3/18
 * @Version 1.0.0
 */

public interface IBaseService<T,V> extends IService<T> {

    /**
     * 数据模型转换视图对象列表
     * @date  2021/3/18
     * @param infoList
     * @return 视图模型List
     * @author Zev
     */
    List<V> viewConversion(List<T> infoList);

}
