package com.tofly.gpsboot.service.fegin;

import com.mysql.cj.protocol.ResultBuilder;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class MisFeignFallback implements FallbackFactory<MisFeign> {
    public static final String ERR_MSG = "Test接口暂时不可用: ";
    @Override
    public MisFeign create(Throwable throwable) {
        String msg = throwable == null ? "" : throwable.getMessage();
        if (!StringUtils.isEmpty(msg)) {
            log.error(msg);
        }
        return  null;
    }
}