package com.tofly.gpsboot.service.rushrepair;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.pojo.rushrepair.RushrepairAndMaterial;
import com.tofly.pojo.rushrepair.dto.RushrepairAndMaterialDto;
import com.tofly.pojo.rushrepair.vo.RushrepairAndMaterialVo;

import java.util.List;

/**
 * @author sunjian
 * @date 2023/4/13
 */
public interface IRushrepairAndMaterialService extends IService<RushrepairAndMaterial> {
    /**
     * 根据抢修单对应的材料记录列表
     *
     * @param rushrepairauditid 抢修审核id
     * @return
     */
    List<RushrepairAndMaterialVo> getRushrepairAndMaterialByRushRepairId(Long rushrepairauditid);

    /**
     * 保存关联表
     * @param rushrepairauditid
     * @param rushrepairAndMaterialDtoList
     */
    void saveRushrepairAndMaterial(Long rushrepairauditid, List<RushrepairAndMaterialDto> rushrepairAndMaterialDtoList);
}
