/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.gpsboot.service.rushrepair;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.gpsboot.service.IBaseService;
import com.tofly.pojo.rushrepair.Rushrepairmaterial;
import com.tofly.pojo.rushrepair.dto.RushrepairmaterialDto;
import com.tofly.pojo.rushrepair.vo.RushrepairmaterialVo;

/**
 * 抢修耗材
 *
 * @author sunjian
 * @date Thu Apr 13 00:00:00 CST 2023
 */
public interface IRushrepairmaterialService extends IBaseService<Rushrepairmaterial, RushrepairmaterialVo> {
    /**
     * 自定义分页查询
     * @param page
     * @param rushrepairMaterialDto
     * @return
     */
    Page<RushrepairmaterialVo> getRushrepairMaterialPage(Page page, RushrepairmaterialDto rushrepairMaterialDto);
}
