package com.tofly.gpsboot.service.rushrepair.impl;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.gpsboot.mapper.rushrepair.RushrepairAndSidMapper;
import com.tofly.gpsboot.service.rushrepair.IRushrepairAndSidService;
import com.tofly.pojo.rushrepair.RushrepairAndMaterial;
import com.tofly.pojo.rushrepair.RushrepairAndSid;
import com.tofly.pojo.rushrepair.dto.RushrepairAndMaterialDto;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.List;

/**
 * @author sunjian
 * @date 2023/7/25
 */
@Service("rushrepairAndSidService")
public class RushrepairAndSidServiceImpl extends ServiceImpl<RushrepairAndSidMapper, RushrepairAndSid> implements IRushrepairAndSidService {
    /**
     * 保存关系表数据
     *
     * @param rushrepairid
     * @param rushrepairAndSidList
     */
    @Override
    public void saveRushrepairAndSid(Long rushrepairid, List<RushrepairAndSid> rushrepairAndSidList) {
        if (!StringUtils.isEmpty(rushrepairid) && 0 != rushrepairid && rushrepairAndSidList.size() > 0) {
            rushrepairAndSidList.forEach(rushrepairAndSid -> {
                rushrepairAndSid.setRushrepairId(rushrepairid);
                this.save(rushrepairAndSid);
            });
        }
    }
}
