/*
 * Author: Zev
 * 生成Service
 */
package com.tofly.gpsboot.service.trouble;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.pojo.trouble.dto.ToubletypeDto;
import com.tofly.pojo.trouble.vo.ToubletypeVo;
import com.tofly.gpsboot.exception.BusinessException;
import com.tofly.pojo.trouble.Toubletype;
import com.tofly.gpsboot.service.IBaseService;


/**
 * 隐患原因分类信息表：TF_YWPN_TOUBLETYPE_D
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
public interface ToubletypeService extends IBaseService<Toubletype, ToubletypeVo> {
    /**
     * 自定义分页查询
     * @param page
     * @param parDto
     * @return
     */
    Page<ToubletypeVo> getToubletypePage(Page page, ToubletypeDto parDto);
    /**
     * 单个删除或批量删除信息
     *
     * @param idLists
     * @throws BusinessException 抛出删除对象不存在
     */
    void deleteTroubleTypeInfo(String idLists) throws BusinessException;
}
