package com.tofly.xrtymis.custom.entity;
import com.tofly.common.core.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * 工单类型上传模板
 * @author FlashWJL
 * @date 2021/11/23 10:56
 */
@Getter
@Setter
public class OrderTypeTemplate {

    @Excel(name = "序号")
    private Integer sequence;
    @Excel(name = "类型名称")
    private String typeName;
    @Excel(name = "上级序号")
    private Integer lastSequence;
    @Excel(name = "上级名称")
    private String lastTypeName;
    @Excel(name = "有效标识")
    private String flagName;
    /**
     * 启用1；禁用0
     */
    @ApiModelProperty(value = " 标志 1启用，0停用")
    private String flag;

    @ApiModelProperty(hidden = true)
    private List<OrderTypeTemplate> orderTypeTemplateList = new ArrayList<>();

}
