package com.tofly.xrtymis.custom.vo;

import com.tofly.xrtymis.entity.TfYwpnWaterRep;
import com.tofly.xrtymis.entity.TfYwpnWatermeter;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 水表采集代表点信息VO
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class TfYwpnWaterRepVO extends TfYwpnWaterRep {

    /**
     * 采集水表集合
     */
    @ApiModelProperty(value = "采集水表集合")
    private List<TfYwpnWatermeterVO> waterMeterList;

}
