package com.tofly.xrtymis.entity.osm;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author sunjian
 * @date 2023/7/19
 */
@Data
@Component
@ConfigurationProperties(prefix = "langchao.params")
public class LangChaoParam extends Model<LangChaoParam> {
    /**
     * 开始页码
     */
    private String start = "";
    /**
     * 每页显示 最对100
     */
    private String limit = "";
}
