package com.tofly.xrtymis.entity.osm;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 用户支付--抄表 信息
 * @author sunjian
 * @date 2023/7/20
 */
@Data
@Component
@ConfigurationProperties(prefix = "langchao.userprice")
public class LangChaoUserPrice {

    /**
     * 接口地址
     */
    private String Url = "";
    /**
     * 登陆密钥
     */
    private String Appkey = "";

    /**
     * 登陆验证
     */
    private String AppSecret = "";
}
