/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.xrtymis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtymis.custom.entity.OrderTypeByIdResult;
import com.tofly.xrtymis.custom.vo.ConfingTypeVo;
import com.tofly.xrtymis.entity.Gdflowconfig;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Date;
import java.util.List;

/**
 * ${comments}
 *
 * @author fcl
 * @date Mon May 31 00:00:00 CST 2021
 */

public interface GdflowconfigMapper extends BaseMapper<Gdflowconfig> {
    Long getMaxId();

    List<Gdflowconfig> selectExist(@Param("list") List<String> keyList);

    boolean insertBatchConfig(@Param("list") List<Gdflowconfig> gdflowconfigList, @Param("flowConfig") Gdflowconfig gdflowconfig,
                              @Param("time") Date time , @Param("userId") Long userId);


    IPage<OrderTypeByIdResult> getConfig(Page page, @Param("typeList") List<String> typeList ,
                                         @Param("departList") List<String> departId ,
                                         @Param("sfDelete") String sfDelete , @Param("gdlx") Long gdlx ,
                                         @Param("viewType") String viewType);

    List<ConfingTypeVo> getOrderType();
}
