package com.tofly.common.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class FileInfo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 文件路径
     */
    @ApiModelProperty(value = "文件路径")
    private String filePath;
    /**
     * 文件原名称
     */
    @ApiModelProperty(value = "文件原名称")
    private String fileName;
    /**
     * 文件上传后名称
     */
    @ApiModelProperty(value = "文件上传后名称")
    private String otherName;
    /**
     * 文件后缀
     */
    @ApiModelProperty(value = "文件后缀")
    private String fileFormat;
    /**
     * 文件大小
     */
    @ApiModelProperty(value = "文件大小")
    private String fileSize;
}
