package com.tofly.scada.common;

public interface FlowConstant {
    String SUCCESS = "成功";
    String FAILED = "失败";
    String POINT = ".";
    String KB = "kb";
    String CSV = ",";
    String FLAG = "0";
    String ISNOTNUL = "参数值不能为空";
    String TF_YWPN_PORTAL_MODULE_W="TF_YWPN_PORTAL_MODULE_W";

    String SCADA_HISTORY = "SCADA_HISTORY";
    String TF_YWPN_DOCUMENT_W = "TF_YWPN_DOCUMENT_W";
    String TF_YWPN_PROCESS_NODE_W = "TF_YWPN_PROCESS_NODE_W";
    String TF_YWPN_PROJECT_CONTRACT_W = "TF_YWPN_PROJECT_CONTRACT_W";
    String PROCESS_TABLE_NAMEU = "TF_YWPN_PROCESS_W";
    Short SHORT_TWO = 2;
    Short SHORT_ONE = 1;
    Short SHORT_ZERO = 0;
    Short SHORT_THREE = 3;
    Short SHORT_FOUR = 4;
    Short SHORT_FIVE = 5;
    Short SHORT_SIX = 6;
    Long LONG_TWO = 2l;
    Long LONG_ONE = 1l;
    Long LONG_ZERO=0l;
    Long LONG_TWENTY_TWO=22l;
    Long LONG_NEGATIVE_ONE = -1l;
    Long INTEGER_TWENTY_FOUR = 24l;
    Integer INTEGER_ONE_HUNDRED = 100;
    Integer INTEGER_THREE = 3;
    Integer INTEGER_FOUR = 4;
    Integer INTEGER_FIVE = 5;
    Integer INTEGER_TWO = 2;
    Integer INTEGER_ONE = 1;
    Integer INTEGER_ZERO = 0;
    String JCLX = "LX";
    String WDBM = "WD";
    String WZ = "WZ";
    String ZC = "ZC";
    String STRING_ONE = "1";
    String STRING_FOUR = "4";
    String STRING_ELEVEN="11";

    String NOT_LESS_THAN="不能小于";
    String NOT_GREATER_THAN="不能大于";



    String DATA_NOTHINGNESS = "数据不存在！";
    String NAME_EXISTS = "名称已存在！";
    String TYPE_ERROR = "类型错误！";
    String CHILD_LEVEL_NO_ADD = "子级不能添加子级";
    String DISPATCH_ERROR = "方案选择错误";
    String NUMBER_EXISTS = "编码重复！";
    String NAME_ISNULL = "名称为空！";
    String FILE_ISNULL = "文件为空！";
    String FILE_ERROR = "文件异常！";
    String DISPATCH_TIME_FILE = "调度方案时序数据";
    String DISPATCH_TIME = "时序数据";
    String PARAMETER_ERROR = "参数错误，不符合要求！";
    String REDIS_FLOW="flow:";
    String PROCESS_CONFIG_REDIS_KEY = REDIS_FLOW+"processconfig:number";
    String PROCESS_WZ_REDIS_KEY = REDIS_FLOW+"wz:";
    String PROCESS_ZC_REDIS_KEY = REDIS_FLOW+"zc:";
    String REDIS_KEY_LC=REDIS_FLOW+"processconfig:lc";
    String REDIS_KEY_WD=REDIS_FLOW+"processconfig:wd";
    String REDIS_KEY_DEVICE=REDIS_FLOW+"processconfig:device";
    String REDIS_QUERY_KEY = REDIS_FLOW+"query:";
    String REDIS_KEY_STUFF_NUMBER = REDIS_FLOW+"stuffNumber:";
    String DBRY_ISNULL = "允许催办，督办人员不能为空！";
    String NODE_LEVEL_ERROR = "层级数或强制层级数错误！";
    String STAFF_ISNULL = "处理人员不能为空！";
    String UNANIMOUS_ERROR = "处理一致步骤设置错误！";
    String LEVEL_NUMBER_NULL = "层级编号为空！";
    String STAFF_DEPT_ERROR = "人员部门设置错误！";
    String LEVE_STAFF_ERROR = "层级信息与节点人员配置异常！";
    String STEP_ORDER_ERROR = "步骤序号配置错误，从1开始不能跳号！";
    String PROCESS_TYPE_NULL = "流程类型为空！";
    String BUSINESS_TYPE_NULL = "业务类型为空！";
    String REPEAT_ERROR = "允许重复，处理层级必须为1！";
    String PARALLEL_ERROR = "并行处理，处理层级必须为1";
    String UNANIMOUS_ORDER_NOT_EXISTS = "关联步骤序号不存在！";
    String LEVEL_NOT_UNANIMOUS = "与关联一致层级或强制层级不一致！";
    Object DATATYPE_ERROR = "类别赋值错误！";
    Object STAFF_LEVEL_ERROR = "处理人员层级与步骤层级不一致";
    Object PROCESS_STEP_ERROR = "流程步骤错误！";
    String NEXT_STEP_ERROR = "下一步序号错误！";
    Object DATA_EXISTS = "数据已经存在！";
    String RELATION_ERROR = "有关联信息不能删除！";
    String COMPANY_DOCUMENT = "公司文档";
    String DEPARTMENT_DOCUMENT = "部门文档";
    String MY_DOCUMENT = "我的文档";
    String MATTER_NOT_EXISTS = "物料未找到不存！";
    String BASETYPE_NOT_EXISTS = "类型不存在";
    String DEVICE_ERROR = "选择设备信息错误";
    String BASE_TYPE_LIKE_PROCESS_CONFIG = "类型已解决关联配置不能添加！";
    String PROCESS_CONFIG_NULL = "流程配置不存在！";
    String NO_RIGHT_TO_MODIFY = "无权操作！";
    String TYPE_NOT_UPEATE = "类型不允许更改！";
    String CONFIG_STEP_NULL = "配置步骤不存在！";
    String HANDLE_STEP_WRONG = "处理步骤错误！";
    String NEXT_STEP_NODE_ERROR = "下步骤层级节点错误！";
    String STEP_NODE_NOT_FINISHED = "步骤节点未完成！";
    String NEXT_SELECT_ERROR = "下一步骤选择错误！";
    String PROCESS_ID_NULL = "非上报流程ID不能为空";
	
	String ADD_SUCCESS = "新增成功";
    String UPDATE_SUCCESS = "修改成功";
    String DELETE_SUCCESS = "删除成功";
    String HEADLE_AUTHORITY_NO = "没有处理权限";
    String NEXT_DATA_NULL = "下一步信息为空！";
    String REASSIGNMENT_NULL = "转派人员信息不能为空！";
    String NEXT_STAFF_NULL = "下一步处理人员为空！";
    String UNANIMOUS_STEP_NULL = "已处理一致步骤节点不存在！";
    String PROCESS_NULL = "流程终止或不存在！";
    String CONTRACT_FILE_ERROR = "合同文件名与文件不对应！";
    String CONTRACT_DATA_NULL = "合同ID未找到数据！";
    String MATTER_REPEAT = "物资重复！";
    String DATA_NOTNULL = "不能为空";
    String CODE_EXISTS = "CODE重复！";
    String TIDINGS_ERROR = "发送消息失败！";
    String ADD_HANDLE = "新增";
    String FACTORY_NULL = "厂家不存在！";
    String DEVICE_NUMBER_ERROR = "关联设备数与数量不一致！";
    String DEVICE_EXISTS = "设备重复！";
    String DEVICE_NULL = "设备不存在";


    String RELATION_PROCESS_TYPE_NULL = "关联表单类型为空";
    String REPAIRORDER_NULL = "抢维修工单未找到！";
    String DEVICE_INFO_NULL = "设备、车辆详情为空！";
    Object STEP_OR_NODE_NULL = "流程步骤或环节ID为空！";
}
