package com.tofly.scada.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.oauth.auth.ToflyUser;
import com.tofly.common.oauth.util.SecurityUtils;
import com.tofly.scada.entity.TfScadaReportList;
import com.tofly.scada.service.ThirdDataPullService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.concurrent.ThreadPoolTaskExecutor;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "SCADA数据操作")
@RequestMapping("/dataPull")
@RestController
public class ThirdDataPullController {
@Autowired
private ThirdDataPullService thirdDataPullService;
@Autowired
private ThreadPoolTaskExecutor threadPoolTaskExecutor;
    @ApiOperation(value = "物联网平台数据拉取")
    @GetMapping("/pullDevice")
    public ResultRespone pageList() {

        thirdDataPullService.pullDevice();

        return ResultRespone.success();
    }



    @ApiOperation(value = "水厂数据拉取")
    @GetMapping("/pullWaterDevice")
    public ResultRespone pullWaterWork() {

        thirdDataPullService.pullWaterData();

        return ResultRespone.success();
    }

/*
    @ApiOperation(value = "水厂数据拉取")
    @GetMapping("/pullTest")
    public ResultRespone pullTest() {
        final ToflyUser user = SecurityUtils.getUser();
        System.out.println(user);
        threadPoolTaskExecutor.execute(TtlRunnable.get(()->
                System.out.println(SecurityContextHolder.getContext().getAuthentication())));
        return ResultRespone.success();
    }*/


}
