package com.tofly.scada.entity;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 接收人接收消息数据表
 * @TableName TF_YWPN_MESSAGERECIPIENT_W
 */
@TableName(value ="TF_YWPN_MESSAGERECIPIENT_W")
@KeySequence("TF_YWPN_MESSAGERECIPIENT_W")
@Data
public class MessagerecipientW implements Serializable {
    /**
     * 唯一编码
     */
    @TableId
    private Long id;

    /**
     * 消息表主键，TF_YWPN_MESSAGEPUSH_W
     */
    private Long messageId;

    /**
     * 消息接收人
     */
    private Long recipient;

    /**
     * 消息是否接收，0：未接收，1：已接收
     */
    private String flag;

    /**
     * 消息接收时间
     */
    private Date recipientTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}