package com.tofly.scada.entity.vo;

import com.haiqiu.tools.excel.annotation.Excel;
import com.tofly.scada.entity.ScadaReport;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 *
 * @author JF
 * @date 2023/2/15
 * @description 指标值
 */
@Data
public class StationIndexVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "统计时间")
    @Excel(name = "统计时间")
    private String scadaTime;

//    @ApiModelProperty(value = "指标ID")
//    @Excel(name = "指标ID")
//    private Long indexId;
//
//    @ApiModelProperty(value = "指标编码")
//    @Excel(name = "指标编码")
//    private String indexCode;
//
//    @ApiModelProperty(value = "指标名称")
//    @Excel(name = "指标名称")
//    private String indexName;
//
//    @ApiModelProperty(value = "指标状态（0未报警；1报警）")
//    @Excel(name = "指标状态（0未报警；1报警）")
//    private String indexStatus;
//
//    @ApiModelProperty(value = "指标报警等级")
//    @Excel(name = "指标报警等级")
//    private String reportLevel;
//
//    @ApiModelProperty(value = "指标类型ID")
//    @Excel(name = "指标类型ID")
//    private String indexTypeId;

//    @ApiModelProperty(value = "指标单位")
//    @Excel(name = "指标单位")
//    private String indexUnit;

    @ApiModelProperty(value = "指标值")
    @Excel(name = "指标值")
    private String indexValue;

    @ApiModelProperty(value = "设备ID")
    @Excel(name = "设备ID")
    private Long deviceId;

//    @ApiModelProperty(value = "设备编码")
//    @Excel(name = "设备编码")
//    private String deviceCode;
//
//    @ApiModelProperty(value = "设备名称")
//    @Excel(name = "设备名称")
//    private String deviceName;

}
