package com.tofly.scada.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.scada.entity.ScadaReport;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author haiqiu
* @description 针对表【TF_SCADA_REPORT】的数据库操作Mapper
* @createDate 2022-05-16 16:56:46
* @Entity com.tofly.scada.entity.ScadaReport
*/
@Mapper
public interface ScadaReportMapper extends BaseMapper<ScadaReport> {

    Page<ScadaReport> selectPageList(Page page, @Param(Constants.WRAPPER) QueryWrapper<ScadaReport> queryWrapper);

    List<ScadaReport> pageList(@Param("queryWrapper") ScadaReport queryWrapper);

    void update_TF_INDEX_ALLOCATION(@Param("reportId") String reportId);
}
