package com.tofly.scada.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.scada.entity.DeviceArchiveManage;
import com.tofly.scada.entity.vo.IOSever.IOServerParObjsDto;

import java.util.List;

/**
* @author haiqiu
* @description 针对表【TF_DEVICE_ARCHIVE_MANAGE(设备档案管理)】的数据库操作Service
* @createDate 2022-05-12 10:42:44
*/
public interface DeviceArchiveManageService extends IService<DeviceArchiveManage> {

    /**
     * 获取阀门对应指标编码列表
     * @return
     */
    List<IOServerParObjsDto> getIOServerDeviceIndexList();
}
