package com.tofly.scada.service;

import com.tofly.scada.entity.vo.third.ThirdDevice;

public interface ThirdDataPullService {
    //从第三方平台拉取设备数据

    /**
     * 获取设备列表
     */
    public  void pullDevice();

    /**
     * 拉取设备数据
     * @param deviceCode 设备编号
     * @param dataNum  拉取的设备数量
     */
    public void pullDeviceData(ThirdDevice deviceCode, Integer dataNum);


    /**
     * 拉取水厂数据
     */
    public  void pullWaterData();
}
