package com.tofly.scada.service.thirdDevice;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.TypeReference;
import com.tofly.scada.entity.vo.third.ThirdDataResponse;
import com.tofly.scada.entity.vo.third.ThirdDeviceMessage;
import com.tofly.scada.entity.vo.third.ThirdPage;

import java.util.List;

/**
 *
 * @param <T>   ThirdBaseDataVo 子类
 */
public interface ThirdCommonDataResolve<T> {
    /**
     * 业务逻辑
     * @param message  接口返回的原始数据
     */
    public void  dataResolve(String message);

    public T dataParse(String content);

    public ThirdDataResponse<ThirdPage<ThirdDeviceMessage>> messageToEntity(String message);
}
