package com.tofly.spire.utils;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author HaiQiu
 * spireMT平台登录密钥实体配置
 */
@ConfigurationProperties(prefix = "spiremt.login")
@Data
@Component
public class SpireMTLogin {

    /**
     * spiremt平台登录ID
     */
    private String appId = "dechang";

    /**
     * spiremt平台登录密钥
     */
    private String secret = "e30ad9ce1f5f46a694932e11a5c0600e";

    /**
     * 登录地址
     */
    private String url = "http://spiremt.cn/api/auth/getToken";
}
