package com.tofly.water.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.tofly.scada.entity.DeviceArchiveManage;
import com.tofly.scada.entity.vo.StatisticsScadaVo;
import com.tofly.water.entity.BasePump;
import com.tofly.water.entity.BasePumpGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author HaiQiu
 * @since 2022/11/22
 */
@Data
public class BasePumpVo extends BasePump {

    @TableField(exist = false)
    @ApiModelProperty(value = "scada数据集合", hidden = true)
    private Object scadaList;

    @TableField(exist = false)
    @ApiModelProperty(value = "绑定设备数据集合", hidden = true)
    private List<DeviceArchiveManage> devices;
}
