/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.quality.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.math.BigDecimal;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 化验项配置中间表
 *
 * @author admin
 * @date Fri Nov 04 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_WATERQUALITY_ASSAY_CONFIG_R",resultMap = "assayConfigRMap")
@ApiModel
public class AssayConfigR extends Model<AssayConfigR> {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "化验项配置id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long assayConfigId;

     @ApiModelProperty(value = "化验项字典id")
     @JsonFormat(shape = JsonFormat.Shape.STRING)
     @JsonSerialize(using = ToStringSerializer.class)
     private Long assayDicId;

            
}
