package com.tofly.quality.entity.dto;

import com.tofly.quality.entity.comm.CommQuery;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class AssayReportWQuery extends CommQuery {

    @ApiModelProperty(value = "报告编号")
    private String reportNo;

    @ApiModelProperty(value = "报告标题")
    private String reportTitle;

    @ApiModelProperty(value = "报告类型Id")
    private Long reportTypeId;

    @ApiModelProperty(value = "报告类型")
    private Long reportTypeName;

    @ApiModelProperty(value = "归档状态 0未归档，1归档")
    private String fileState;

    @ApiModelProperty(value = "环境信息")
    private String environmentInfo;

}
