package com.tofly.quality.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.quality.entity.comm.CommQuery;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class AssayResultWQuery extends CommQuery {

    @ApiModelProperty(value = "化验结果编号")
    private String assayResultNo;

    @ApiModelProperty(value = "化验结果名称")
    private String assayResultName;


    @ApiModelProperty(value = "化验项配置项id")
    private Long assayConfigId;

    @ApiModelProperty(value = "化验项名称")
    private String assayConfigName;


    @ApiModelProperty(value = "水样编号")
    private String collectNo;


}
