/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.quality.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.quality.entity.AssayDicD;
import com.tofly.quality.entity.dto.AssayDicDQuery;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
 * 化验项字典
 *
 * @author admin
 * @date Wed Nov 02 00:00:00 CST 2022
 */
@Repository
public interface AssayDicDMapper extends BaseMapper<AssayDicD> {
    Page<AssayDicD> getPageData(Page page, @Param("qry") AssayDicDQuery qry);

    String getAssayDicName(@Param("id") String id);
}
