/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.quality.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.quality.entity.AssayReportW;
import com.tofly.quality.entity.dto.AssayReportWQuery;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;

import java.util.List;

/**
 * 化验报告管理
 *
 * @author admin
 * @date Thu Nov 03 00:00:00 CST 2022
 */
@Repository
public interface AssayReportWMapper extends BaseMapper<AssayReportW> {
    Page<AssayReportW> getPageData(Page page, @Param("qry") AssayReportWQuery query);

    String getAssayReportName(@Param("id") String id);

    String getReportMaxNo(@Param("reportNo") String reportNo);

}
