/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.quality.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.quality.entity.AssayReportW;
import com.tofly.quality.entity.AssayResultW;
import com.tofly.quality.entity.dto.AssayReportWQuery;
import com.tofly.quality.entity.dto.AssayResultWQuery;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;

import java.util.List;

/**
 * 化验结果
 *
 * @author admin
 * @date Thu Nov 03 00:00:00 CST 2022
 */
@Repository
public interface AssayResultWMapper extends BaseMapper<AssayResultW> {
    Page<AssayResultW> getPageData(Page page, @Param("qry") AssayResultWQuery query);

    String getResultMaxNo(@Param("assayResultNo") String assayResultNo);

    List<AssayResultW>getResultList(@Param("assayReportId") Long assayReportId);

}
