/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.quality.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.quality.entity.AssayDicD;
import com.tofly.quality.entity.CollectW;
import com.tofly.quality.entity.dto.AssayDicDQuery;
import com.tofly.quality.entity.dto.CollectWQuery;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;

import java.util.List;

/**
 * 采集记录管理
 *
 * @author admin
 * @date Wed Nov 02 00:00:00 CST 2022
 */
@Repository
public interface CollectWMapper extends BaseMapper<CollectW> {

    String collectMaxNo(@Param("collectNo") String collectNo);

    Page<CollectW> getPageData(Page page, @Param("qry") CollectWQuery qry);

    List<CollectW> getCollectList(@Param("resultId")  Long resultId);
}
