/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.quality.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.quality.entity.SamplePlaceD;
import com.tofly.quality.entity.dto.SamplePlaceDQuery;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
 * 采样地点配置表
 *
 * @author admin
 * @date Wed Nov 02 00:00:00 CST 2022
 */
@Repository
public interface SamplePlaceDMapper extends BaseMapper<SamplePlaceD> {
    Page<SamplePlaceD> getPageData(Page page, @Param("qry") SamplePlaceDQuery query);

    String getSamplePlaceName(@Param("id") String id);

}
