/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.quality.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.quality.entity.CollectW;
import com.tofly.quality.entity.SolidwasteType;
import com.tofly.quality.entity.dto.CollectWQuery;
import com.tofly.quality.entity.dto.SolidWasteTypeQuery;
import org.apache.ibatis.annotations.Param;


import java.util.List;

/**
 * 固废类型表
 *
 * @author admin
 * @date Thu Mar 30 00:00:00 CST 2023
 */
public interface SolidwasteTypeMapper extends BaseMapper<SolidwasteType> {
    Page<SolidwasteType> getPageData(Page page, @Param("qry") SolidWasteTypeQuery qry);
}
