/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.quality.service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.quality.entity.AssayResultW;
import com.tofly.quality.entity.dto.AssayResultWQuery;
import org.springframework.web.multipart.MultipartFile;
import java.util.List;

/**
 * 化验结果
 *
 * @author admin
 * @date Thu Nov 03 00:00:00 CST 2022
 */
public interface AssayResultWService extends IService<AssayResultW> {

    boolean saveAssayResult(List<MultipartFile> fileList, AssayResultW assayResultW, boolean isAdd);

    Page<AssayResultW> getPageData(Page page, AssayResultWQuery query);

    boolean deleteByIds(String ids);

    List<AssayResultW>getResultList(Long assayReportId);

}
