/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.quality.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.quality.entity.AssayDicD;
import com.tofly.quality.entity.CollectW;
import com.tofly.quality.entity.dto.AssayDicDQuery;
import com.tofly.quality.entity.dto.CollectWQuery;

import java.util.List;

/**
 * 采集记录管理
 *
 * @author admin
 * @date Wed Nov 02 00:00:00 CST 2022
 */
public interface CollectWService extends IService<CollectW> {

    Page<CollectW> getPageData(Page page, CollectWQuery query);

    boolean deleteByIds(String ids);

    List<CollectW> getCollectList(Long resultId);
}
