/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.quality.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.quality.entity.SamplePlaceD;
import com.tofly.quality.entity.dto.SamplePlaceDQuery;

/**
 * 采样地点配置表
 *
 * @author admin
 * @date Wed Nov 02 00:00:00 CST 2022
 */
public interface SamplePlaceDService extends IService<SamplePlaceD> {

    Page<SamplePlaceD> getPageData(Page page, SamplePlaceDQuery query);

    boolean deleteByIds(String ids);

    boolean selectByName(String samplePlaceName, Long id);
}
