/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.quality.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.quality.entity.CollectMs;
import com.tofly.quality.entity.WasteMgt;
import com.tofly.quality.entity.dto.CollectMsQuery;
import com.tofly.quality.entity.dto.WasteMgQuery;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 固废物处理台账
 *
 * @author Fall_Mu
 * @date Mon Apr 03 00:00:00 CST 2023
 */
public interface WasteMgtService extends IService<WasteMgt> {

    boolean saveWasteMgtResult(WasteMgt WasteMgt, List<MultipartFile> fileList,boolean isAdd);
    Page<WasteMgt> getPageData(Page page, WasteMgQuery query);

    boolean DeleteByIds(String ids);
}
