///*
// * Author: wangjian
// * 生成controller
// */
//package com.tofly.watermeter.controller;
//
//import com.baomidou.mybatisplus.core.toolkit.Wrappers;
//import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
//import com.tofly.common.core.entity.ResultRespone;
//import com.tofly.common.log.annotation.ToFlyAppLog;
//import com.tofly.watermeter.entity.Bwcjcode;
//import com.tofly.watermeter.service.BwcjcodeService;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiImplicitParam;
//import io.swagger.annotations.ApiImplicitParams;
//import io.swagger.annotations.ApiOperation;
//import lombok.AllArgsConstructor;
//import org.springframework.web.bind.annotation.*;
//
//import java.util.Arrays;
//
///**
// * 水表厂家编码表
// *
// * @author admin
// * @date Wed Mar 10 00:00:00 CST 2021
// */
//@RestController
//@AllArgsConstructor
//@RequestMapping("/bwcjcode")
//@Api(tags="水表厂家编码表接口")
//public class BwcjcodeController {
//
//    private final  BwcjcodeService bwcjcodeService;
//
//    /**
//    * 分页查询
//    * @param page 分页对象
//    * @param bwcjcode 水表厂家编码表
//    * @return
//    */
//    @GetMapping("/page" )
//    @ApiOperation(value = "分页查询")
//    public ResultRespone getBwcjcodePage(Page page, @ModelAttribute Bwcjcode bwcjcode) {
//      return ResultRespone.success(bwcjcodeService.page(page, Wrappers.query(bwcjcode)));
//    }
//
//
//    /**
//     * 通过id查询水表厂家编码表
//     * @param id id
//     * @return ResultRespone
//     */
//    @GetMapping("/{id}" )
//    @ApiOperation(value = "通过ID查询")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    public ResultRespone getById(@PathVariable("id" ) Long id) {
//      return ResultRespone.success(bwcjcodeService.getById(id));
//    }
//
//    /**
//     * 新增水表厂家编码表
//     * @param bwcjcode 水表厂家编码表
//     * @return ResultRespone
//     */
//    //="新增水表厂家编码表" )
//    @ApiOperation(value = "新增水表厂家编码表")
//    @PostMapping
//    public ResultRespone save(@RequestBody Bwcjcode bwcjcode) {
//      return ResultRespone.success(bwcjcodeService.save(bwcjcode));
//    }
//
//    /**
//     * 修改水表厂家编码表
//     * @param bwcjcode 水表厂家编码表
//     * @return ResultRespone
//     */
//    //="修改水表厂家编码表" )
//    @ApiOperation(value = "修改水表厂家编码表")
//    @PutMapping
//    public ResultRespone updateById(@RequestBody Bwcjcode bwcjcode) {
//      return ResultRespone.success(bwcjcodeService.updateById(bwcjcode));
//    }
//
//    /**
//     * 通过id删除水表厂家编码表
//     * @param id id
//     * @return ResultRespone
//     */
//    //="通过id删除水表厂家编码表" )
//    @ApiOperation(value = "通过ID删除水表厂家编码表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    @DeleteMapping("/{id}" )
//    public ResultRespone removeById(@PathVariable Long id) {
//      return ResultRespone.success(bwcjcodeService.removeById(id));
//    }
//
//    /**
//     * 通过id批量删除水表厂家编码表
//     * @param ids id
//     * @return ResultRespone
//     */
//    //="通过id批量删除水表厂家编码表" )
//    @ApiOperation(value = "通过ID批量删除水表厂家编码表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
//    })
//    @DeleteMapping("/deleteByIds" )
//    public ResultRespone removeById(String ids) {
//        return ResultRespone.success(bwcjcodeService.removeByIds(Arrays.asList(ids.split(","))));
//    }
//}
