package com.tofly.watermeter.controller;

/**
 * Author: wangjian
 * 生成controller
 */

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.watermeter.entity.Bwhbdatail;
import com.tofly.watermeter.service.BwhbdatailService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 水表换表记录表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@RestController
@AllArgsConstructor
@RequestMapping("/bwhbdatail/updChangeTable")
@Api(tags = "水表换表记录表接口")
public class BwhbdatailController {

    private final BwhbdatailService bwhbdatailService;

    //
//    /**
//    * 分页查询
//    * @param page 分页对象
//    * @param bwhbdatail 水表换表记录表
//    * @return
//    */
//    @GetMapping("/page" )
//    @ApiOperation(value = "分页查询")
//    public ResultRespone getBwhbdatailPage(Page page, @ModelAttribute Bwhbdatail bwhbdatail) {
//      return ResultRespone.success(bwhbdatailService.page(page, Wrappers.query(bwhbdatail)));
//    }
//
//
//    /**
//     * 通过id查询水表换表记录表
//     * @param id id
//     * @return ResultRespone
//     */
//    @GetMapping("/{id}" )
//    @ApiOperation(value = "通过ID查询")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    public ResultRespone getById(@PathVariable("id" ) Long id) {
//      return ResultRespone.success(bwhbdatailService.getById(id));
//    }
//
//    /**
//     * 新增水表换表记录表
//     * @param bwhbdatail 水表换表记录表
//     * @return ResultRespone
//     */
//    //="新增水表换表记录表" )
//    @ApiOperation(value = "新增水表换表记录表")
//    @PostMapping
//    public ResultRespone save(@RequestBody Bwhbdatail bwhbdatail) {
//      return ResultRespone.success(bwhbdatailService.save(bwhbdatail));
//    }
//
//    /**
//     * 修改水表换表记录表
//     * @param bwhbdatail 水表换表记录表
//     * @return ResultRespone
//     */
//    //="修改水表换表记录表" )
    @ApiOperation(value = "修改水表换表记录表")
    @PutMapping("/updChangeTable")
    public ResultRespone updateById(@RequestBody Bwhbdatail bwhbdatail) {
        return ResultRespone.success(bwhbdatailService.updateById(bwhbdatail));
    }
//
//    /**
//     * 通过id删除水表换表记录表
//     * @param id id
//     * @return ResultRespone
//     */
//    //="通过id删除水表换表记录表" )
//    @ApiOperation(value = "通过ID删除水表换表记录表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    @DeleteMapping("/{id}" )
//    public ResultRespone removeById(@PathVariable Long id) {
//      return ResultRespone.success(bwhbdatailService.removeById(id));
//    }
//
//    /**
//     * 通过id批量删除水表换表记录表
//     * @param ids id
//     * @return ResultRespone
//     */
//    //="通过id批量删除水表换表记录表" )
//    @ApiOperation(value = "通过ID批量删除水表换表记录表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
//    })
//    @DeleteMapping("/deleteByIds" )
//    public ResultRespone removeById(String ids) {
//        return ResultRespone.success(bwhbdatailService.removeByIds(Arrays.asList(ids.split(","))));
//    }
}
