///*
// * Author: wangjian
// * 生成controller
// */
//package com.tofly.watermeter.controller;
//
//import com.baomidou.mybatisplus.core.toolkit.Wrappers;
//import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
//import com.tofly.common.core.entity.ResultRespone;
//import com.tofly.common.log.annotation.ToFlyAppLog;
//import com.tofly.watermeter.entity.Cbqydbm;
//import com.tofly.watermeter.service.CbqydbmService;
//import lombok.AllArgsConstructor;
//import org.springframework.web.bind.annotation.*;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import io.swagger.annotations.ApiImplicitParam;
//import io.swagger.annotations.ApiImplicitParams;
//import org.springframework.web.bind.annotation.ModelAttribute;
//
//import java.util.Arrays;
///**
// * 抄表区域段编码
// *
// * @author wangjieliu
// * @date Sat May 29 00:00:00 CST 2021
// */
//@RestController
//@AllArgsConstructor
//@RequestMapping("/cbqydbm")
//@Api(tags="抄表区域段编码接口")
//public class CbqydbmController {
//
//    private final  CbqydbmService cbqydbmService;
//
//    /**
//    * 分页查询
//    * @param page 分页对象
//    * @param cbqydbm 抄表区域段编码
//    * @return
//    */
//    @GetMapping("/page" )
//    @ApiOperation(value = "分页查询")
//    public ResultRespone getCbqydbmPage(Page page, @ModelAttribute Cbqydbm cbqydbm) {
//      return ResultRespone.success(cbqydbmService.page(page, Wrappers.query(cbqydbm)));
//    }
//
//
//    /**
//     * 通过id查询抄表区域段编码
//     * @param qydbm id
//     * @return ResultRespone
//     */
//    @GetMapping("/{qydbm}" )
//    @ApiOperation(value = "通过ID查询")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "qydbm", value = "ID", required = true, dataType = "Long")
//    })
//    public ResultRespone getById(@PathVariable("qydbm" ) Long qydbm) {
//      return ResultRespone.success(cbqydbmService.getById(qydbm));
//    }
//
//    /**
//     * 新增抄表区域段编码
//     * @param cbqydbm 抄表区域段编码
//     * @return ResultRespone
//     */
//    //="新增抄表区域段编码" )
//    @ApiOperation(value = "新增抄表区域段编码")
//    @PostMapping
//    public ResultRespone save(@RequestBody Cbqydbm cbqydbm) {
//      return ResultRespone.success(cbqydbmService.save(cbqydbm));
//    }
//
//    /**
//     * 修改抄表区域段编码
//     * @param cbqydbm 抄表区域段编码
//     * @return ResultRespone
//     */
//    //="修改抄表区域段编码" )
//    @ApiOperation(value = "修改抄表区域段编码")
//    @PutMapping
//    public ResultRespone updateById(@RequestBody Cbqydbm cbqydbm) {
//      return ResultRespone.success(cbqydbmService.updateById(cbqydbm));
//    }
//
//    /**
//     * 通过id删除抄表区域段编码
//     * @param qydbm id
//     * @return ResultRespone
//     */
//    //="通过id删除抄表区域段编码" )
//    @ApiOperation(value = "通过ID删除抄表区域段编码")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "qydbm", value = "ID", required = true, dataType = "Long")
//    })
//    @DeleteMapping("/{qydbm}" )
//    public ResultRespone removeById(@PathVariable Long qydbm) {
//      return ResultRespone.success(cbqydbmService.removeById(qydbm));
//    }
//
//    /**
//     * 通过id批量删除抄表区域段编码
//     * @param ids id
//     * @return ResultRespone
//     */
//    //="通过id批量删除抄表区域段编码" )
//    @ApiOperation(value = "通过ID批量删除抄表区域段编码")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
//    })
//    @DeleteMapping("/deleteByIds" )
//    public ResultRespone removeByIds(String ids) {
//        return ResultRespone.success(cbqydbmService.removeByIds(Arrays.asList(ids.split(","))));
//    }
//}
