package com.tofly.watermeter.custom.entity.meterBusiness.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
public class ImportTurnOverDto {

    private List<ImportTurnOver> turnOver;

    private Long turnOverDept;

    private Long turnOverUser;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date turnOverTime;

    private Long acceptDept;

    private Long acceptUser;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date acceptTime;
    /**
     * 移交类型
     */
    private Long type;
    /**
     * 移交状态（0非库表移交，1库表移交）
     */
    private Long state;

    private String contractNote;


}
