package com.tofly.watermeter.custom.entity.meterRead;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author FlashWJL
 * @date 2021/11/17 18:30
 */
@Getter
@Setter
public class InitCbByHb {

    private String yhbh ;

    @ApiModelProperty(value = "换表日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date hbrq;

    @ApiModelProperty(value = "抄表日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date cbrq;

    @ApiModelProperty(value = "旧表止读")
    private Long jbzd;

    @ApiModelProperty(value = "新表起度")
    private Long xbqd;

    @ApiModelProperty(value = "换表类型选择（表黑/雾等）")
    private Long hblx;




}
