package com.tofly.watermeter.custom.entity.meterRead.readstatic;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author FlashWJL
 * @date 2021/11/17 10:02
 */
@Getter
@Setter
public class ReadCollect {

    private String cbry;

    private Long cbryId;

    private Integer qyNum;

    private String cbqy;

    private String cbqybm;

    @ApiModelProperty(value = "未处理数目")
    private Integer noCbNum;
    @ApiModelProperty(value = "已处理数目")
    private Integer cbNum;
    @ApiModelProperty(value = "总数")
    private Integer allNum;

    private Integer row;

    private String cbqyd;

    private String cbqydbm;

    private List<ReadCollect> list;
    @ApiModelProperty(value = "开始日")
    private Integer startDay;
    @ApiModelProperty(value = "结束日")
    private Integer endDay;
    @ApiModelProperty(value = "抄表本名称")
    private String cbbMc;
    @ApiModelProperty(value = "用水性质名称")
    private String ysxzName;
    @ApiModelProperty(value = "水表编号")
    private String sbbh;

}
