package com.tofly.watermeter.custom.entity.meterRead.readstatic;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 超时列表详情
 * @author FlashWJL
 * @date 2021/12/16 15:53
 */
@Data
public class ReadOverTimeDetail {
    @ApiModelProperty(value = "抄表人员")
    private Long cbry;
    @ApiModelProperty(value = "抄表人员名称")
    private String cbryName;
    @ApiModelProperty(value = "抄表区域名称")
    private String cbqyMc;
    @ApiModelProperty(value = "抄表区域编码")
    private String cbqyBm;
    @ApiModelProperty(value = "区域段编码")
    private String cbqydBm;
    @ApiModelProperty(value = "区域段名称")
    private String cbqydMc;
    @ApiModelProperty(value = "开始时间(上一抄表时间)")
    private String startTime;
    @ApiModelProperty(value = "结束时间(下一抄表时间)")
    private String endTime;
    @ApiModelProperty(value = "应抄总数")
    private Integer shouldReadCount;
    @ApiModelProperty(value = "按时总数")
    private Integer accoTimeReadCount;
    @ApiModelProperty(value = "超时总数")
    private Integer overTimeReadCount;
    @ApiModelProperty(value = "超时率")
    private Float overTimeRatio;
    @ApiModelProperty(value = "总超时率")
    private Float allOverTimeRatio;
    @ApiModelProperty(value = "间隔时长")
    private Float diffTime;


}
