package com.tofly.watermeter.custom.entity.quality;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author FlashWJL
 * @date 2021/12/15 10:47
 */
@Data
public class QualityFluctuate {
    @ApiModelProperty(value = "区域名称")
    private String qymc;
    @ApiModelProperty(value = "区域编码")
    private String qybm;
    @ApiModelProperty(value = "客户数")
    private Integer userCount;
    @ApiModelProperty(value = "水量")
    private Long waterCount;
    @ApiModelProperty(value = "口径、用水性质、异常原因名称")
    private String lineName;
    @ApiModelProperty(value = "口径、用水性质、异常原因编码")
    private String lineBm;
}
