package com.tofly.watermeter.custom.service.meterBusiness;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.DisputedConditionDto;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

public interface DisputedService {
    /**
     * 争议检定统计
     * @param response response
     * @param dto dto
     * @return list
     */
    List<Map> count(HttpServletResponse response, DisputedConditionDto dto);

    Page<Map> queryWorkInfo(HttpServletResponse response,Page page,DisputedConditionDto dto);

    List<Map> queryInfo(HttpServletResponse response,Page page, DisputedConditionDto dto);

}
