/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 水表厂家编码表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_BWCJCODE_D", resultMap = "bwcjcodeMap")
@KeySequence("TF_YWPN_BWCJCODE_D")
@ApiModel
public class Bwcjcode extends Model<Bwcjcode> {
    private static final long serialVersionUID = 1L;

    /**
     * 编码
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "编码")
    private Long id;
    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String mc;
    /**
     * 有效标志
     */
    @ApiModelProperty(value = "有效标志")
    private String yxbz;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String bz;

}
