/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 中间营销用水性质编码
 *
 * @author wangjieliu
 * @date Wed Apr 14 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_QFMIDYSXZBM_E", resultMap = "qfmidysxzbmEMap")
@KeySequence("TF_YWPN_QFMIDYSXZBM_E")
@ApiModel
public class QfmidysxzbmE extends Model<QfmidysxzbmE> {
    private static final long serialVersionUID = 1L;

    /**
     * 编码
     */
//    @TableId(value = "YSXZ_BM", type = IdType.INPUT)
    @ApiModelProperty(value = "编码")
    private String ysxzBm;
    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String ysxzMc;
    /**
     * 有效标志 1有效,0无效
     */
    @ApiModelProperty(value = "有效标志 1有效,0无效")
    private String yxbz;


}
