/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 沱源_性质细分
 *
 * @author wangjieliu
 * @date Wed Apr 14 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_QFMIDYSXZXFBM_E", resultMap = "qfmidysxzxfbmEMap")
@KeySequence("TF_YWPN_QFMIDYSXZXFBM_E")
@ApiModel
public class QfmidysxzxfbmE extends Model<QfmidysxzxfbmE> {
    private static final long serialVersionUID = 1L;

    /**
     * 编码
     */
//    @TableId(value = "XZXF_BM", type = IdType.INPUT)
    @ApiModelProperty(value = "编码")
    private String xzxfBm;
    /**
     * 用水性质编码
     */
    @ApiModelProperty(value = "用水性质编码")
    private String ysxzBm;
    /**
     * 性质细分名称
     */
    @ApiModelProperty(value = "性质细分名称")
    private String ysxzMc;
    /**
     * 是否计算增值税,1是0否
     */
    @ApiModelProperty(value = "是否计算增值税,1是0否")
    private String sfZzs;
    /**
     * 有效标志 1有效,0 无效
     */
    @ApiModelProperty(value = "有效标志 1有效,0 无效")
    private String yxbz;

}
