/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 阀门与水表关联信息
 *
 * @author admin
 * @date Thu Apr 08 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_VALVELINKTABLE_W", resultMap = "valvelinktableMap")
@KeySequence("TF_YWPN_VALVELINKTABLE_W")
@ApiModel
public class Valvelinktable extends Model<Valvelinktable> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 阀门编号
     */
    @ApiModelProperty(value = "阀门编号")
    private String valveId;
    /**
     * 水表编号
     */
    @ApiModelProperty(value = "水表编号")
    private String tableId;

}
