package com.tofly.watermeter.handler;

import com.tofly.watermeter.custom.service.statisticanalysis.IWaterStatisticsService;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;

/**
 *  @author xqf
 */
@Component
@AllArgsConstructor
public class WaterQuantityHandler {

    private final IWaterStatisticsService service;

    /**
     * 同步每个月用水量，营销业务 11	普表（远传表）抄表数据（查询）
     * @param param
     * @return
     */
    @XxlJob("syWaterQuantity")
    public ReturnT<String> synchroWaterQuantity(String param){
        service.synchroWaterQuantityData();
        return ReturnT.SUCCESS;
    }


}
